// Inclure les fichiers avec les macros, pour simplifier l'écriture du code

// Ne pas mettre en commentaire si vous voulez que les TRACE s'affichent dans les logs
//#define __FORCE_TRACE__
#include <tmf_constants.h>
#include <tmf_macros.h>
// Ceci est une macro qui permet d'attendre que tout soit initialisé correctement.
WAITINIT(start);

// Un message a afficher dans le RPT si __FORCE_TRACE__ est activé
TRACE("Start");

// Un message ET une variable a afficher dans le RPT si __FORCE_TRACE__ est activé
_myvar = ["Valeur 1",100,false];
TRACE_1("Message",_myvar);
// Un message, une variable et une deuxième variable qui ici est le status de l'objectif 10
TRACE_2("Message 2",_myvar,(10 call edt_fnc_status));
