//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "ioc\preInit.sqf"
#include <core_macros.h>

TRACE("Start");

GVAR(BUSY) = -10;

GVAR(NAMESPACES) = [
	toLower(QGVAR(PVEH)) // Index 0
];
GVAR(NAMESPACE_PVEH) = [
	toLower(QGVAR(PVEH)) // Index 0
];
GVAR(EVENTS) = [
	// NameSpace IOC_PVEH
	[
		toLower("register"),
		toLower("add"),
		toLower("remove")
	]
];
GVAR(HANDLERS) = [
	// NameSpace IOC_PVEH
	[
		// Event Register
		[
			[QUOTE(IOC_REGISTER_ID),QUOTE(FUNC(register))]
		],
		// Event Add
		[
			[QUOTE(IOC_ADD_ID),QUOTE(FUNC(handlerAdd))]
		],
		// Event Remove
		[
			[QUOTE(IOC_REMOVE_ID),QUOTE(FUNC(handlerRemove))]
		]
	]
];

TRACE("End");