class MSO_AA_ui_moderation {
	idd = 60509;
	movingEnable = 1;
	enableSimulation = 1;
	onLoad = "0 spawn MSO_AA_fnc_ui_moderation_init;";

	class controls {
		class Background : CUI_Frame {
			y = CUI_Row_Y(0);
			h = CUI_Row_DY(0,23);
			w = CUI_Box_W * 2;
		};
		class PunishmentCaption : CUI_Caption {
			text = $STR_MSO_AA_DLG_PUNISHMENT;
			y = CUI_Row_Y(0);
			w = CUI_Box_W * 2;
		};
		class PlayerCaption : CUI_Caption {
			text = $STR_MSO_AA_DLG_SELECT_PLAYER;
			y = CUI_Row_Y(2);
			w = CUI_Box_W * 2;
		};
		class PlayerSelection : CUI_Combo {
			idc = 1101;
			y = CUI_Row_Y(3);
			w = CUI_Box_W * 2;
			wholeHeight = 9 * CUI_Row_H;
		};
		class ActionCaption : CUI_Caption {
			text = $STR_MSO_AA_DLG_SELECT_ACTION;
			y = CUI_Row_Y(5);
			w = CUI_Box_W * 2;
		};
		class TeleportToBase : CUI_Button {
			text = $STR_MSO_AA_TELEPORT_TO_BASE;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(6);
			action = "[(lbCurSel 1101),MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_teleport; closedialog 0;";
		};
		class TeleportToMe : CUI_Button {
			text = $STR_MSO_AA_TELEPORT_TO_ME;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(7);
			action = "[(lbCurSel 1101),MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_teleportme; closedialog 0;";
		};
		class Unjail : CUI_Button {
			text = $STR_MSO_AA_DLG_PUNISH_UNJAIL;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(8);
			action = "[(lbCurSel 1101),MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_unjail; closedialog 0;";
		};
		class Jail : CUI_Button {
			text = $STR_MSO_AA_DLG_PUNISH_JAIL;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(9);
			action = "[(lbCurSel 1101),MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_jail; closedialog 0;";
		};
		class Kick : CUI_Button {
			text = $STR_MSO_AA_DLG_PUNISH_KICK;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(10);
			action = "[(lbCurSel 1101),MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_kick; closedialog 0;";
		};
		class Ban : CUI_Button {
			text = $STR_MSO_AA_DLG_PUNISH_BAN;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(11);
			action = "[(lbCurSel 1101),MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_ban; closedialog 0;";
		};
		class Detach : CUI_Button {
			text = $STR_MSO_AA_DLG_DETACH;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(12);
			action = "[(lbCurSel 1101),MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_detach; closedialog 0;";
		};
		class InformPlayersCaption : CUI_Caption {
			text = $STR_MSO_AA_DLG_INFORMCAPTION;
			y = CUI_Row_Y(13);
			w = CUI_Box_W * 2;
		};
		class InformText : CUI_Edit {
			idc = 1103;
			y = CUI_Row_Y(14);
			w = CUI_Box_W * 2;
		};
		class CannedMessageSelection : CUI_Combo {
			idc = 1104;
			y = CUI_Row_Y(15);
			w = CUI_Box_W * 2;
			wholeHeight = 9 * CUI_Row_H;
			onLBSelChanged = "_ctrl = _this select 0; _idx = _this select 1; ctrlSetText [1103, lbData [1104, _idx]];";
		};
		class InformPlayer : CUI_Button {
			text = $STR_MSO_AA_DLG_INFORMPLAYER;
			w = CUI_Box_W * 5/6;
			y = CUI_Row_Y(16);
			action = "if ((lbCurSel 1101) > 0) then { [(lbCurSel 1104), (ctrlText 1103), MSO_AA_ui_moderation select (lbCurSel 1101)] spawn MSO_AA_fnc_ui_moderation_inform; closedialog 0; };";
		};
		class InformAllPlayers : CUI_Button {
			text = $STR_MSO_AA_DLG_INFORMALLPLAYERS;
			w = CUI_Box_W * 5/6;
			x = CUI_Box_X(1) + (CUI_Box_W * 1/6);
			y = CUI_Row_Y(16);
			action = "[(lbCurSel 1104), (ctrlText 1103), objNull] spawn MSO_AA_fnc_ui_moderation_inform; closedialog 0;";
		};
		class VehicleCaption : CUI_Caption {
			text = $STR_MSO_AA_DLG_VEHICLECAPTION;
			y = CUI_Row_Y(18);
			w = CUI_Box_W * 2;
		};
		class VehicleSelection : CUI_Combo {
			idc = 1102;
			y = CUI_Row_Y(19);
			w = CUI_Box_W * 2;
			wholeHeight = 9 * CUI_Row_H;
		};
		class RepairRefuel : CUI_Button {
			text = $STR_MSO_AA_DLG_VEHICLEREPAIR;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(20);
			action = "[(lbCurSel 1102),MSO_AA_ui_vehicles select (lbCurSel 1102)] spawn MSO_AA_fnc_ui_moderation_repair; closedialog 0;";
		};
		class Destroy : CUI_Button {
			text = $STR_MSO_AA_DLG_VEHICLEDESTROY;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(21);
			action = "[(lbCurSel 1102),MSO_AA_ui_vehicles select (lbCurSel 1102)] spawn MSO_AA_fnc_ui_moderation_destroy; closedialog 0;";
		};
		class Close : CUI_Button {
			text = $STR_MSO_AA_DLG_CLOSE;
			w = CUI_Box_W * 2;
			y = CUI_Row_Y(23);
			action = "closeDialog 0;";
			default = true;
		};
	};
};
class MSO_AA_ui_moderation_confirm { // by Tyrghen
	idd = 60709;
	movingEnable = 1;
	enableSimulation = 1;

	class controls {
		class Background : CUI_Frame {
			y = CUI_Row_Y(0);
			h = CUI_Row_DY(0,4);
			w = CUI_Box_W * 2;
		};
		class ConfirmCaption : CUI_Caption {
			text = $STR_MSO_AA_DLG_CONFIRM;
			y = CUI_Row_Y(0);
			w = CUI_Box_W * 2;
		};
		class ConfirmText : CUI_Caption {
			idc=1;
			text = "";
			y = CUI_Row_Y(2);
			w = CUI_Box_W * 2;
		};
		class OKButton : CUI_Button {
			text = $STR_MSO_AA_DLG_OK;
			w = CUI_Box_W * 2 / 3;
			y = CUI_Row_Y(4);
			action = "true call MSO_AA_fnc_ui_moderation_confirm; closedialog 0;";
			default = true;
		};
		class CancelButton : CUI_Button {
			text = $STR_MSO_AA_DLG_CANCEL;
			x = CUI_Box_X(1) + (CUI_Box_W * (1/3));
			w = CUI_Box_W * 2 / 3;
			y = CUI_Row_Y(4);
			action = "false call MSO_AA_fnc_ui_moderation_confirm; closedialog 0;";
			default = true;
		};
	};
};