//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "adminActions\fn_ghostModeAction.sqf"
#include <core_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_is_active","_action_id"];
PARAMS_1(_is_active);
_action_id = GVAR(GhostAction);

TRACE_1("Input",ARR_2(_is_active,_action_id));
if (_action_id >= 0) then {
	if (!_is_active) then {
		player removeAction _action_id;
		GVAR(GhostAction) = -1;
		TRACE_1("Action Removed",GVAR(GhostAction));
	};
} else {
	if (_is_active) then {
		_action_id = player addAction [YELLOW_TEXT("Ghost Mode"),"tmf\core\addAction.sqf",[[],FUNC(ghostMode)],-5,false,true];
		GVAR(GhostAction) = _action_id;
		TRACE_1("Action Added",GVAR(GhostAction));
	};
};
if (!_is_active) then {
	if (GVAR(GhostMode)) then {
		[QGVAR(GHOSTMODE),[player,false,name player, getPlayerUID player],"all"] call FUNC(raiseEvent);
	};
	GVAR(GhostMode) = false;
};

TRACE_2("End",GVAR(GhostMode),GVAR(GhostAction));
TMFPROFILERSTOP;
