#include "ACV_constantes.h"
#include "ACV_ID_main_dlg.h"
//------------------------------------------
class R3FACVMainDlg
{
	idd = ACV_DLG_ID_Main_Dlg;
	movingEnable = 1;
	controlsBackground[] = {New_BackGround_ACV};
	fadein	= 0;
	fadeout	= 0;
	duration	= 10;
	name = "R3F_ACV_MAIN_DLG";
	objects[] = {};
	controls[] =
	{
		Title_ACV,Logo_ACV,
		Map_ACV,
		Ctn_Vec_Vide_ACV,
		Legend_Vec_Vide_ACV,
		Label_Camp_ACV,Cb_Camp_ACV,
		Label_Faction_ACV,Cb_Faction_ACV,
		Label_Type_ACV,Cb_Type_ACV,
		Label_Unit_ACV,Cb_Unit_ACV,
		Label_Skill_ACV,Slider_Skill_ACV,
		Legend_Grp_Vide_ACV,
		Label_Grp_TypeUnit_ACV,Cb_Grp_TypeUnit_ACV,
		Label_Grp_Unit_ACV,Cb_Grp_Unit_ACV,
		Label_Direction_ACV, Slider_Direction_ACV,
		Label_Vide_ACV,Cb_Vide_ACV,
		Label_EnVol_ACV,Cb_EnVol_ACV,
		Btn_MakeUnit_ACV,
		Label_Divers_ACV,
		Label_ObjType_ACV,Cb_ObjType_ACV,
		Cb_Obj_ACV,
		Make_Obj_ACV,
		Btn_MakeGrp_ACV,
		Btn_CancelMakeUnit_ACV,
		Ctn_Stock_ACV,
		Legend_Stock_ACV,
		List_Stock_ACV,
		Btn_DeleteUnit_ACV,
		Btn_ShowAll_ACV,
		Btn_ShowPlayer_ACV,
		Btn_ShowIA_ACV,
		Legend_Stock_Object_ACV,
		List_Stock_Object_ACV,
		Del_Object_ACV,
		Legend_Wp_ACV,
		List_Wp_ACV,
		Add_Wp_ACV,Edit_Wp_ACV,Del_Wp_ACV,
		Btn_Camera_ACV,
		Btn_Teleport_ACV,
		Btn_Script_ACV,
		Btn_MoveAuto_ACV,
		Cb_ListPlayers_ACV,
		Script_Categories_ACV,
		Scripts_Functions_ACV,
		Script_Help_ACV,
		Script_Edit_ACV,
		Script_Run_ACV,
		Script_Raz_ACV,
		Script_Copy_ACV,
		Script_Replace_ACV,
		Ctn_Msg_Sys_ACV,Msg_Sys_ACV,
		Btn_Close_ACV
	};
	onLoad="uiNamespace setVariable [""R3F_ACV_MAIN_DLG"", _this select 0];_test = [] execVM ""tmf\core\modules\R3F_ACV\Scripts\ACV_init_main_dlg.sqf""";
	onUnload ="call ACV_OnClose;";
	class New_BackGround_ACV : New_RscText_ACV
	{
		//idc = ACV_DLG_ID_NoId;
		idc = 9999;
		type = CT_STATIC;
		moving = 0;
		x = -0.0900006;
		y = 0.01;
		w = 1.18;
		h = 0.98;
		colorBackground[] = {0.5, 0.5, 0.5, 0.48};
		colorText[] = {0.5, 0.5, 0.5, 0.5};
		font = "PuristaMedium";
		sizeEx = 0.032;
		fixedWidth = 0;
		shadow = 2;
	};
	class Title_ACV : New_RscTitle_ACV
	{
		idc = 9998;
		x = -0.0900006;
		y = 0.011;
		w = 1.18;
		h = 0.0500007;
		colorBackground[] = {0, 0, 0, 0.71};
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.05;
		text = $STR_ACV_TEXT_VERSION;
		moving = 1;
	};
	class Logo_ACV : New_RscText_ACV
	{
		idc = 9997;
		style = ST_PICTURE;
		x = 1.048;
		y = 0.012;
		w = 0.04;
		h = 0.05;
		colorText[] = Color_White;
		colorBackground[] = Color_NoColor;
		text = "tmf\core\modules\r3f_acv\Dlg\r3f-logo.paa";
		moving = 1;
	};
	class Ctn_Vec_Vide_ACV : New_FieldSet_ACV
	{
		idc = ACV_DLG_ID_CtnVehObj;
		x = -0.09;
		y = 0.06;
		w = 0.316;
		h = 0.88;
		colorBackground[] = {0.03, 0, 0, 0.63};
		colorText[] = {1, 1, 1, 1};
	};
	class Legend_Vec_Vide_ACV : New_Legend_ACV
	{
		idc = ACV_DLG_ID_Main_LabelVehVide;
		x = -0.09;
		y = 0.063;
		w = 0.316;
		h = 0.025;
		colorBackground[] = {0.13, 0.12, 0.140001, 0.48};
		colorText[] = {0.76, 0.76, 0.0800007, 1};
		text = $STR_ACV_TITLE_OBJECTS;
	};
	class Label_Camp_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelCamp;
		x = -0.084;
		y = 0.085;
		text = $STR_ACV_LABEL_CAMP;
	};
	class Cb_Camp_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_CbCamp;
		x = 0.00300002;
		y = 0.09;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_Faction_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelFaction;
		x = -0.084;
		y = 0.11;
		text = $STR_ACV_LABEL_FACTION;
	};

	class Cb_Faction_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_CbFaction;
		x = 0.00300002;
		y = 0.115;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_Type_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_Labeltype;
		x = -0.084;
		y = 0.135;
		text = $STR_ACV_LABEL_CATEGORY;
	};
	class Cb_Type_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_CbType;
		x = 0.00300002;
		y = 0.14;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_Unit_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelUnit;
		x = -0.084;
		y = 0.16;
		text = $STR_ACV_LABEL_UNITS;
	};
	class Cb_Unit_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_CbUnit;
		x = 0.00300002;
		y = 0.165;
		w = 0.219;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_Skill_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelSkill;
		x = -0.084;
		y = 0.182;
		text = $STR_ACV_LABEL_SKILL;
	};
	class Slider_Skill_ACV : New_Slider_ACV
	{
		idc = ACV_DLG_ID_Main_SliderSkill;
		x = 0.00300002;
		y = 0.191;
		w = 0.218;
		h = 0.028;
		colorBackground[] = {0.99, 0.43, 0.02, 0.63};
		colorText[] = {0.81, 0.67, 0.140001, 1};
		onSliderPosChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_Direction_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelDir;
		x = -0.084;
		y = 0.219;
		text = "0° :";
	};
	class Slider_Direction_ACV : New_Slider_ACV
	{
		idc = ACV_DLG_ID_Main_SliderDir;
		x = 0.00400002;
		y = 0.227;
		w = 0.217;
		h = 0.028;
		colorBackground[] = {0.99, 0.43, 0.02, 0.63};
		colorText[] = {0.81, 0.67, 0.140001, 1};
		onSliderPosChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_Vide_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelVide;
		x = -0.083;
		y = 0.255;
		text = $STR_ACV_LABEL_EMPTY;
	};
	class Cb_Vide_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_ChkEmpty;
		x = 0.00300002;
		y = 0.26;
		w = 0.069;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_EnVol_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelEnVol;
		x = -0.084;
		y = 0.28;
		text = $STR_ACV_LABEL_FLYING;
	};
	class Cb_EnVol_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_EnVol;
		x = 0.00300002;
		y = 0.285;
		w = 0.069;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Btn_MakeUnit_ACV : New_Small_Btn_ACV
	{
		idc = ACV_DLG_ID_Main_BtnMakeUnit;
		text = $STR_ACV_BTN_MAKEUNIT;
		action = "call ACV_FNCT_MakeUnit; [-1] execVM ""tmf\core\modules\r3f_acv\Scripts\make_unit.sqf"";";
		x = 0;
		y = 0.29;
		w = 0.22;
	};
	class Legend_Grp_Vide_ACV : New_Legend_ACV
	{
		idc = ACV_DLG_ID_Main_LabelGrpVide;
		x = -0.09;
		y = 0.375;
		w = 0.316;
		h = 0.025;
		colorBackground[] = {0.13, 0.12, 0.140001, 0.48};
		colorText[] = {0.76, 0.76, 0.0800007, 1};
		text = $STR_ACV_LABEL_GROUP;
	};
	class Label_Grp_TypeUnit_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelGrpTypeUnit;
		x = -0.084;
		y = 0.395;
		text = $STR_ACV_LABEL_TYPE;
	};
	class Cb_Grp_TypeUnit_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_GrpCbTypeUnit;
		x = 0.00300001;
		y = 0.4;
		w = 0.219;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Label_Grp_Unit_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelGrpUnit;
		x = -0.084;
		y = 0.42;
		text = $STR_ACV_LABEL_NAME;
	};
	class Cb_Grp_Unit_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_GrpCbUnit;
		x = 0.00300002;
		y = 0.425;
		w = 0.219;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Btn_MakeGrp_ACV : New_Small_Btn_ACV
	{
		idc = ACV_DLG_ID_Main_BtnMakeGrp;
		text = $STR_ACV_BTN_MAKEGROUP;
		action = "call ACV_FNCT_MakeUnit;[-2] execVM ""tmf\core\modules\r3f_acv\Scripts\make_unit.sqf"";";
		x = 0;
		y = 0.436;
		w = 0.22;
	};
	class Label_Divers_ACV : New_Legend_ACV
	{
		idc = ACV_DLG_ID_Main_LabelDivers;
		x = -0.09;
		y = 0.523;
		w = 0.316;
		h = 0.025;
		colorBackground[] = {0.13, 0.12, 0.140001, 0.48};
		colorText[] = {0.76, 0.76, 0.0800007, 1};
		text = $STR_ACV_LABEL_MISC;
	};
	class Label_ObjType_ACV : New_Label_ACV
	{
		idc = ACV_DLG_ID_Main_LabelObjType;
		x = -0.084;
		y = 0.542;

		text = $STR_ACV_LABEL_OBJTYPE;
	};

	class Cb_ObjType_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_CbObjtype;
		x = 0.00200002;
		y = 0.548;
		w = 0.22;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Cb_Obj_ACV : New_List_ACV
	{
		idc = ACV_DLG_ID_Main_CbObj;
		x = -0.085;
		y = 0.572;
		w = 0.305;
		h = 0.316;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_main_dlg.sqf"";";
	};
	class Make_Obj_ACV : New_Small_Btn_ACV
	{
		idc = ACV_DLG_ID_Main_MkObj;
		text = $STR_ACV_BTN_MAKEOBJECT;
		action = "call ACV_FNCT_MakeUnit;[-4] execVM ""tmf\core\modules\r3f_acv\Scripts\make_unit.sqf"";";
		x = 0;
		y = 0.866;
		w = 0.219;
		h = 0.1;
	};
	class Btn_CancelMakeUnit_ACV : New_Btn_ACV
	{
		idc = ACV_DLG_ID_Main_BtnCancelMakeUnit;
		text = $STR_ACV_BTN_CANCEL;
		action = "ACV_FlashMessage = false;call ACV_FNCT_CancelMakeUnit;";
		x = 0.529;
		y = 0.913;
		w = 0.26;
		h = 0.104575;
	};
	class Ctn_Stock_ACV : New_FieldSet_ACV
	{
		idc = ACV_DLG_ID_CtnStock;
		x = 0.23;
		y = 0.06;
		w = 0.3;
		h = 0.88;
		colorBackground[] = {0.03, 0, 0, 0.63};
		colorText[] = {1, 1, 1, 1};
	};
	class Legend_Stock_ACV : New_Legend_ACV
	{
		idc = 9979;
		x = 0.230306;
		y = 0.062636;
		w = 0.3;
		h = 0.025;
		colorBackground[] = {0.13, 0.12, 0.140001, 0.48};
		colorText[] = {0.76, 0.76, 0.0800007, 1};
		text = $STR_ACV_LABEL_CREATEDUNITS;
	};
	class List_Stock_ACV : New_List_ACV
	{
		idc = ACV_DLG_ID_Main_LstStock;
		style = LB_MULTI;
		x = 0.233;
		y = 0.092;
		w = 0.243;
		h = 0.316;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_list_units.sqf""";
	};
	class Btn_DeleteUnit_ACV : Small_BtnThin_ACV
	{
		idc =ACV_DLG_ID_Main_BtnDeleteUnit;
		text = $STR_ACV_BTN_DEL;
		action = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\delete_group.sqf""";
		x = 0.483;
		y = 0.092;
		w = 0.039;
		h = 0.03;
	};
	class Btn_ShowAll_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_CbShowAll;
		text = $STR_ACV_BTN_LOOK;
		action = "[ACV_Show_All_Markers] execVM ""tmf\core\modules\r3f_acv\Scripts\show_all_markers.sqf""";
		x = 0.483;
		y = 0.132;
		w = 0.039;
		h = 0.03;
	};
	class Btn_ShowPlayer_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_CbShowPlayer;
		text = $STR_ACV_BTN_LOOK_Player;
		action = "[ACV_ShowPlayer] execVM ""tmf\core\modules\r3f_acv\Scripts\show_player.sqf""";
		x = 0.483;
		y = 0.182;
		w = 0.039;
		h = 0.03;
	};
	class Btn_ShowIA_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_CbShowIA;
		text = $STR_ACV_BTN_LOOK_IA;
		action = "[ACV_ShowIA] execVM ""tmf\core\modules\r3f_acv\Scripts\show_ia.sqf""";
		x = 0.483;
		y = 0.222;
		w = 0.039;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Legend_Stock_Object_ACV : New_Legend_ACV
	{
		idc = ACV_DLG_ID_Main_LabelObjects;
		x = 0.230407;
		y = 0.646284;
		w = 0.3;
		h = 0.025;
		colorBackground[] = {0.13, 0.12, 0.140001, 0.48};
		colorText[] = {0.76, 0.76, 0.0800007, 1};
		text = $STR_ACV_LABEL_CREATEDOBJECT;
	};
	class List_Stock_Object_ACV : New_List_ACV
	{
		idc = ACV_DLG_ID_Main_ListObjects;
		style = LB_MULTI;
		x = 0.230407;
		y = 0.676284;
		w = 0.242;
		h = 0.26;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_list_objects.sqf""";
	};
	class Del_Object_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_DeleteObjects;
		text = $STR_ACV_BTN_DEL;
		action = "[""del""] execVM ""tmf\core\modules\r3f_acv\Scripts\delete_object.sqf"";";
		x = 0.483;
		y = 0.677284;
		w = 0.039;
		h = 0.03;
	};
	class Legend_Wp_ACV : New_Legend_ACV
	{
		idc = ACV_DLG_ID_Main_LegendWp;
		x = 0.230407;
		y = 0.426285;
		w = 0.3;
		h = 0.025;
		colorBackground[] = {0.13, 0.12, 0.140001, 0.48};
		colorText[] = {0.76, 0.76, 0.0800007, 1};
		text = $STR_ACV_LABEL_WAYPOINT;
	};
	class List_Wp_ACV : New_List_ACV
	{
		idc = ACV_DLG_ID_Main_ListWp;
		x = 0.230407;
		y = 0.455285;
		w = 0.243;
		h = 0.18;
		onLBSelChanged = "[""list""] execVM ""tmf\core\modules\r3f_acv\Scripts\wp.sqf""";
	};
	class Add_Wp_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_AddWp;
		text = $STR_ACV_BTN_ADD;
		action = "call ACV_FNCT_MakeUnit;[""add""] execVM ""tmf\core\modules\r3f_acv\Scripts\wp.sqf"";";
		x = 0.483;
		y = 0.456285;
		w = 0.039;
		h = 0.03;
	};
	class Edit_Wp_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_EditWp;
		text = $STR_ACV_BTN_EDIT;
		action = "call ACV_FNCT_MakeUnit;[""edit""] execVM ""tmf\core\modules\r3f_acv\Scripts\wp.sqf"";";
		x = 0.483;
		y = 0.498285;
		w = 0.039;
		h = 0.03;
	};
	class Del_Wp_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_DelWp;
		text = $STR_ACV_BTN_DEL;
		action = "[""del""] execVM ""tmf\core\modules\r3f_acv\Scripts\wp.sqf"";";
		x = 0.483;
		y = 0.541285;
		w = 0.039;
		h = 0.03;
	};
	class Map_ACV : New_Map_ACV
	{
		idc = ACV_DLG_ID_Main_Map;
		colorBackground[] = {1, 1, 1, 1};
		x = 0.530307;
		y = 0.061636;
		w = 0.555;
		h = 0.84;
		default = true;
		showCountourInterval = false;
		onMouseButtonClick = "ACV_FlashMessage = false;_this execVM ""tmf\core\modules\r3f_acv\Scripts\click_on_map.sqf"";";
		onMouseButtonDblClick = "ACV_FlashMessage = false;_this execVM ""tmf\core\modules\r3f_acv\Scripts\click_dble_on_map.sqf"";";
	};
	class Btn_Camera_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_BtnCamera;
		text = $STR_ACV_BTN_CAMERA;
		action = "[player] execVM ""tmf\core\modules\r3f_acv\Scripts\camera.sqf"";";
		x = 0.533306;
		y = 0.90664;
		w = 0.099;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Btn_Teleport_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_BtnTeleport;
		text = $STR_ACV_BTN_TELEPORT;
		action = "[player] execVM ""tmf\core\modules\r3f_acv\Scripts\teleportation.sqf"";";
		x = 0.642306;
		y = 0.90664;
		w = 0.09;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Btn_Script_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_BtnScript;
		text = $STR_ACV_BTN_SCRIPT;
		action = "[""list""] execVM ""tmf\core\modules\r3f_acv\Scripts\click_script.sqf"";";
		x = 0.742308;
		y = 0.90664;
		w = 0.08;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Btn_MoveAuto_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Main_BtnMoveAuto;
		text = $STR_ACV_BTN_MOVE_AUTO;
		action = "[] execVM ""tmf\core\modules\r3f_acv\Scripts\click_move_auto.sqf"";";
		x = 0.830306;
		y = 0.90664;
		w = 0.11;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Cb_ListPlayers_ACV : New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_Main_CbListPlayers;
		x = 0.947999;
		y = 0.907999;
		w = 0.139;
		h = 0.029;
		sizeEx = 0.03;
		onLBSelChanged = "[_this] execVM ""tmf\core\modules\r3f_acv\Scripts\click_list_players.sqf"";";
	};
	class Ctn_Msg_Sys_ACV : New_RscText_ACV
	{
		idc = 9976;
		x = -0.09;
		y = 0.946;
		w = 0.62;
		h = 0.043;
		colorBackground[] = Color_KackG;
		colorText[] = Color_Gray;
		text = $STR_ACV_LABEL_SYSTEM;
	};
	class Script_Categories_ACV : New_List_ACV
	{
		idc = ACV_DLG_ID_Script_Categories;
		x = -0.087;
		y = 0.092;
		w = 0.31;
		h = 0.21;
		colorSelectBackground[] = {1.0000,1.0000,0.0431,0.6706};
		colorSelect[] = {0.1098,0.0784,0.0000,1.0000};
		onLBSelChanged = "[""category""] execVM ""tmf\core\modules\r3f_acv\Scripts\click_script.sqf"";";
	};
	class Scripts_Functions_ACV : New_List_ACV
	{
		idc = ACV_DLG_ID_Script_List;
		x = -0.087;
		y = 0.305;
		w = 0.31;
		h = 0.18;
		colorSelectBackground[] = {1.0000,1.0000,0.0431,0.6706};
		colorSelect[] = {0.1098,0.0784,0.0000,1.0000};
		onLBSelChanged = "[""function""] execVM ""tmf\core\modules\r3f_acv\Scripts\click_script.sqf"";";
	};
	class Script_Help_ACV : New_Edit_ACV
	{
		idc = ACV_DLG_ID_Script_Help;
		x = -0.085;
		y = 0.489;
		w = 0.31;
		h = 0.414;
		sizeEx = 0.018;
		colorSelection[] = {1.0000,1.0000,0.0431,0.6706};
	};
	class Script_Edit_ACV : New_Edit_ACV
	{
		idc = ACV_DLG_ID_Script_Edit;
		x = 0.23;
		y = 0.455;
		w = 0.3;
		h = 0.447;
		lineSpacing = 1;
		autocomplete = "scripting";
		colorSelection[] = {1.0000,1.0000,0.0431,0.6706};
	};
	class Script_Run_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Script_Run;
		x = 0.238;
		y = 0.909999;
		w = 0.04;
		h = 0.02;
		text =$STR_ACV_BTN_RUN;
		action = "[""run""] execVM ""tmf\core\modules\r3f_acv\Scripts\click_script.sqf"";";
	};
	class Script_Raz_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Script_Raz;
		x = 0.288;
		y = 0.909999;
		w = 0.041;
		h = 0.02;
		text = $STR_ACV_BTN_RAZ;
		action = "[""raz""] execVM ""tmf\core\modules\r3f_acv\Scripts\click_script.sqf"";";
	};
	class Script_Copy_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Script_Copy;
		x = 0.157;
		y = 0.907999;
		w = 0.06;
		h = 0.02;
		text = ">>";
		action = "[""copy""] execVM ""tmf\core\modules\r3f_acv\Scripts\click_script.sqf"";";
	};
	class Script_Replace_ACV : Small_BtnThin_ACV
	{
		idc = ACV_DLG_ID_Script_Replace;
		x = -0.086;
		y = 0.908999;
		w = 0.059;
		h = 0.02;
		text = ">";
		action = "[""replace""] execVM ""tmf\core\modules\r3f_acv\Scripts\click_script.sqf"";";
	};
	class Msg_Sys_ACV : New_RscText_ACV
	{
		idc = ACV_DLG_ID_Main_TxtSystem;
		x = -0.01;
		y = 0.95;
		w = 0.535;
		h = 0.036;
		colorBackground[] = Color_GrayDark;
		colorText[] = Color_Orange;
		text = $STR_ACV_INITIALISATION;
	};
	class Btn_Close_ACV : New_Btn_ACV
	{
		idc = ACV_DLG_ID_NoId;
		text = $STR_ACV_CLOSE;
		action = "closeDialog 0;";
		x = 0.885;
		y = 0.913;
		w = 0.21;
	};
};