#include "ACV_constantes.h"
#include "ACV_ID_wp_dlg.h"
//------------------------------------
class R3FACVWPDlg
{
	idd = ACV_DLG_ID_WP_Dlg;
	movingEnable = 1;
	controlsBackground[] = {New_BackGround_ACV};
	fadein       =  0;
	fadeout      =  0;
	duration     =  10;
	name = "R3F_ACV_WP_DLG";
	objects[] = {};
	controls[] =
	{
		Title_ACV,Logo_ACV,
		Label_Wp_Type,Cb_Wp_Type,
		Label_Wp_Combat,Cb_Wp_Combat,
		Label_Wp_Formation,Cb_Wp_Formation,
		Label_Wp_Vitesse,Cb_Wp_Vitesse,
		Label_Wp_Comportement,Cb_Wp_Comportement,
		Label_Wp_Placement,Ed_Wp_Placement,
		Label_Wp_Achevement,Ed_Wp_Achevement,
		Label_Wp_Min,Ed_Wp_Min,
		Label_Wp_Moy,Ed_Wp_Moy,
		Label_Wp_Max,Ed_Wp_Max,
		Label_Wp_Script,Ed_Wp_Script,
		Label_Wp_Condition,Ed_Wp_Condition,
		Btn_Ok_ACV,
		Btn_Cancel_ACV
	};
	onLoad="uiNamespace setVariable [""R3F_ACV_WP_DLG"", _this select 0];_test = [] execVM ""tmf\core\modules\r3f_acv\Scripts\wp_dlg_init.sqf""";
	onUnload ="ACV_FlashMessage = false;ACV_MARKER_LOC_Wp setMarkerPosLocal [0,0,0]";
	class New_BackGround_ACV : New_RscText_ACV
	{
		idc = ACV_DLG_ID_NoId ;
		type = CT_STATIC;
		x = 0.19;
		y = 0.061;
		w = 0.620001;
		h = 0.68;
		colorBackground[] = {0.17, 0.08, 0.08, 0.67};
		colorText[] = {0.5, 0.5, 0.5, 0.5};
		font = "PuristaMedium";
		sizeEx = 0.032;
		fixedWidth = 0;
		shadow = 2;
		moving = 0;
	};
	class Title_ACV  : New_RscTitle_ACV
	{
		x = 0.19;
		y = 0.06;
		w = 0.62;
		h = 0.07;
		text = $STR_ACV_LABEL_WAYPOINT;
		colorBackground[] = {0, 0, 0, 0.71};
		colorText[] = {1, 1, 1, 1};
		sizeEx = 0.05;
		moving = 1;
	};
	class Logo_ACV :  New_RscText_ACV
	{
		style = ST_PICTURE;
		x = 0.754;
		y = 0.065;
		w = 0.05;
		h = 0.06;
		colorText[] = Color_White;
		colorBackground[] = Color_NoColor;
		text = "tmf\core\modules\r3f_acv\Dlg\r3f-logo.paa";
		moving = 1;
	};
	class Label_Wp_Type : New_Label_ACV
	{
		x = 0.230;
		y = 0.160;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_CHOIXTYPE;
	};
	class Cb_Wp_Type :  New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_WP_Type;

		x = 0.43;
		y = 0.16;
		w = 0.36;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Label_Wp_Combat : New_Label_ACV
	{
		x = 0.230;
		y = 0.195;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_COMBAT_MODE;
	};
	class Cb_Wp_Combat :  New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_WP_Combat;
		x = 0.43;
		y = 0.195;
		w = 0.36;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Label_Wp_Formation : New_Label_ACV
	{
		x = 0.230;
		y = 0.230;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_FORM;
	};
	class Cb_Wp_Formation :  New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_WP_Formation;
		x = 0.43;
		y = 0.23;
		w = 0.36;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Label_Wp_Vitesse : New_Label_ACV
	{
		x = 0.230;
		y = 0.265;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_SPEED;
	};
	class Cb_Wp_Vitesse :  New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_WP_Vitesse;
		x = 0.43;
		y = 0.265;
		w = 0.36;
		h = 0.03;
		sizeEx = 0.03;
	};

	class Label_Wp_Comportement : New_Label_ACV
	{
		x = 0.230;
		y = 0.300;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_BEHAVIOR;
	};
	class Cb_Wp_Comportement :  New_RscCombo_ACV
	{
		idc = ACV_DLG_ID_WP_Comportement;
		x = 0.43;
		y = 0.3;
		w = 0.36;
		h = 0.03;
		sizeEx = 0.03;
	};
	class Label_Wp_Placement : New_Label_ACV
	{
		x = 0.230;
		y = 0.335;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_RADIUSPLACE;
	};
	class Ed_Wp_Placement :  New_Edit_ACV
	{
		idc = ACV_DLG_ID_WP_Placement;
		x = 0.430;
		y = 0.335;
		w = 0.080;
		h = 0.029412;
		sizeEx = 0.03;
	};
	class Label_Wp_Achevement : New_Label_ACV
	{
		x = 0.230;
		y = 0.370;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_RADIUSACHEVEMENT;
	};
	class Ed_Wp_Achevement :  New_Edit_ACV
	{
		idc = ACV_DLG_ID_WP_Achevement;
		x = 0.430;
		y = 0.370;
		w = 0.080;
		h = 0.029412;
		sizeEx = 0.03;
	};
	class Label_Wp_Min : New_Label_ACV
	{
		x = 0.230;
		y = 0.405;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_DELAYMIN;
	};
	class Ed_Wp_Min :  New_Edit_ACV
	{
		idc = ACV_DLG_ID_WP_Min;
		x = 0.430;
		y = 0.405;
		w = 0.080;
		h = 0.029;
		sizeEx = 0.03;
	};
	class Label_Wp_Moy : New_Label_ACV
	{
		x = 0.518;
		y = 0.405;
		w = 0.05;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_DELAYAVG;
	};
	class Ed_Wp_Moy :  New_Edit_ACV
	{
		idc = ACV_DLG_ID_WP_Moy;
		x = 0.570;
		y = 0.405;
		w = 0.080;
		h = 0.029;
		sizeEx = 0.03;
	};
	class Label_Wp_Max : New_Label_ACV
	{
		x = 0.66;
		y = 0.405;
		w = 0.048;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_DELAYMAX;
	};
	class Ed_Wp_Max :  New_Edit_ACV
	{
		idc = ACV_DLG_ID_WP_Max;
		x = 0.711;
		y = 0.405;
		w = 0.08;
		h = 0.029;
		sizeEx = 0.03;
	};
	class Label_Wp_Condition : New_Label_ACV
	{
		x = 0.230;
		y = 0.440;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_CONDITION;
	};
	class Ed_Wp_Condition :  New_Edit_ACV
	{
		idc = ACV_DLG_ID_WP_Condition;
		x = 0.43;
		y = 0.44;
		w = 0.36;
		h = 0.029;
		sizeEx = 0.03;
		autocomplete = "scripting";
	};
	class Label_Wp_Script : New_Label_ACV
	{
		x = 0.230;
		y = 0.475;
		w = 0.212132;
		h = 0.029412;
		sizeEx = 0.03;
		text = $STR_ACV_LABEL_SCRIPT;
	};
	class Ed_Wp_Script :  New_Edit_ACV
	{
		idc = ACV_DLG_ID_WP_Script;
		x = 0.43;
		y = 0.475;
		w = 0.36;
		h = 0.19;
		sizeEx = 0.03;
		autocomplete = "scripting";
	};
	class Btn_Ok_ACV : New_Btn_ACV
	{
		idc = ACV_DLG_ID_NoId ;
		text = $STR_ACV_OK;
		action = "ACV_XXX=ACV_DLG_RET;_test = [_this] execVM ""tmf\core\modules\r3f_acv\Scripts\wp_dlg.sqf"";";
		default = true;
		x = 0.426;
		y = 0.65;
		w = 0.17;
		h = 0.104575;
	};
	class Btn_Cancel_ACV : New_Btn_ACV
	{
		idc = ACV_DLG_ID_NoId ;
		text = $STR_ACV_CANCEL;
		action = "ACV_XXX=-1;closeDialog 0;";
		x = 0.63;
		y = 0.65;
		w = 0.17;
		h = 0.104575;
	};
};