
/* ACV_FNCT_effectburn.sqf
-----------------------------------------------------------------------------
Crée un effet, feu et/ou fumée.
Utilise la fonction BIS_Effects_Burn revue.

Exemple :
[OBJ] spawn ACV_FNCT_BIS_Effects_Burn;
[[0,0,0],5,60,false,false] spawn ACV_FNCT_BIS_Effects_Burn;

function ACV_FNCT_BIS_Effects_Burn()

@param0 : Objet ou position
@param1 : Nombre (optionnel) Défaut : 5, intensité de 0 à 4 : fumée, de 5 à 10 : feu et fumée.
@param2 : Nombre (optionnel) Défaut : 10, Durée de l'effet.
@param3 : boolean (optionnel) Défaut : false, lifecheck: if this is true then the unit will only burn as ling as it is dead (!alive unit). set to false to burn things like buildings and gamelogics
@param4 : boolean (optionnel) Défaut : false, fade: if true then the fire will die down over time, eventually dying out. set to false if you want it to keep burning. (affected by rain too).

@return rien
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_BIS_Effects_Burn = {
	private "_code";
	_code = compile "_this call ACV_FNCT_Broadcast_BIS_Effects_Burn;";
	[ACV_BROADCAST_TO_CLIENT,_code,_this] call ACV_FNCT_BroadcastCode;
};
