
/* ACV_FNCT_fumi.sqf
-----------------------------------------------------------------------------
 function ACV_FNCT_Fumi()
Exemple : ["SmokeShell",_pos,-0.1,3] spawn ACV_FNCT_Fumi;

"SmokeShell","SmokeShellRed","SmokeShellGreen","SmokeShellBlue","SmokeShellYellow","SmokeShellPurple"

Crée un fumigène sur une position donnée.

@param0 String - Classe du fumigène.
@param1 Array (variant) Position
@param2 Déplacement sur l'axe (z)
@param3 Durée du fumigène

variant = 	(string) nom de joueur (la position du joueur sera renvoyée)
			(group) un group (la position du leader sera renvoyée)
			(object) un objet quelquonque (la position de l'objet sera renvoyée)
			(array) position (tableau [x, y, z])


@return Rien
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_Fumi = {
	private "_code";
	_code = compile "_this call R3F_FNCT_Fumi;";
	[ACV_BROADCAST_TO_SERVER,_code,_this] call ACV_FNCT_BroadcastCode;
};
