//ACV_constantes.h

//#define __ACV_Debug
//#define __ACV_Trace

// "Dcommenter" pour une utilisation sans script "cheater" : Tlportation, ShowIA...
//#define __ACV_No_God_User

#define ACV_DLG_ID_NoId				-1
#define ACV_DLG_ID_START				424242

/** --------- ACV NET MESSAGE BROADCAST ------------ **/
#define ACV_BROADCAST_TYPE_MSG		1
#define ACV_BROADCAST_TYPE_CODE		2

/** --------- ACV NET TYPE DEST MESSAGE BROADCAST -- **/
#define ACV_BROADCAST_TO_NONE			0
#define ACV_BROADCAST_TO_ACV			1
#define ACV_BROADCAST_TO_ONE			2
#define ACV_BROADCAST_TO_SERVER		3
#define ACV_BROADCAST_TO_CLIENT		4
#define ACV_BROADCAST_TO_ALL			255

#define ACV_BROADCAST_PARAM_TYPE		0
#define ACV_BROADCAST_PARAM_MSG		1
#define ACV_BROADCAST_PARAM_TYPE_DEST	2
#define ACV_BROADCAST_PARAM_DEST		3
#define ACV_BROADCAST_PARAM_ARGS		4

/** --------- ACV NET MESSAGE --------------------- **/
#define ACV_NET_START_MESSAGE			0
#define ACV_NET_MAKESIMPLEOBJECT		(ACV_NET_START_MESSAGE + 1)
#define ACV_NET_MAKEAMMOBOX			(ACV_NET_START_MESSAGE + 2)
#define ACV_NET_MAKEUNITS			(ACV_NET_START_MESSAGE + 3)
#define ACV_NET_MAKEVEHICLES			(ACV_NET_START_MESSAGE + 4)
#define ACV_NET_MAKEGROUPS			(ACV_NET_START_MESSAGE + 5)

#define ACV_NET_REPORTMAKEGROUPS		(ACV_NET_START_MESSAGE + 50)
#define ACV_NET_REPORTMAKEOBJECTS		(ACV_NET_START_MESSAGE + 51)

/** --------- ACV NET PARAMS --------------------- **/
#define ACV_NET_PARAM_TYPE			0
#define ACV_NET_PARAM_CLASS			1
#define ACV_NET_PARAM_POS			2
#define ACV_NET_PARAM_DIR			3
#define ACV_NET_PARAM_DISPLAYNAME	4
#define ACV_NET_PARAM_OWNER			5
#define ACV_NET_PARAM_SIDE			6
#define ACV_NET_PARAM_SKILL			7
#define ACV_NET_PARAM_RANK			8
#define ACV_NET_PARAM_FLYING		9
#define ACV_NET_PARAM_OTHER			10
#define ACV_NET_PARAM_SPECIAL		11

#ifdef __ACV_Debug
#define __DEBUG(tmsg) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7'", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg];
#define __DEBUG_1(tmsg,tval1) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7',%8", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg, tval1];
#define __DEBUG_2(tmsg,tval1,tval2) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7',%8,%9", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg,tval1,tval2];
#define __DEBUG_3(tmsg,tval1,tval2,tval3) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7',%8,%9,%10", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg,tval1,tval2,tval3];
#else
#define __DEBUG(tmsg)
#define __DEBUG_1(tmsg,tval1)
#define __DEBUG_2(tmsg,tval1,tval2)
#define __DEBUG_3(tmsg,tval1,tval2,tval3)
#endif

#ifdef __ACV_Trace
#define __TRACE(tmsg) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7'", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg];
#define __TRACE_1(tmsg,tval1) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7',%8", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg, tval1];
#define __TRACE_2(tmsg,tval1,tval2) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7',%8,%9", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg,tval1,tval2];
#define __TRACE_3(tmsg,tval1,tval2,tval3) diag_log format ["T%1,DT%2,F%3,FPS%4,%5,%6,'%7',%8,%9,%10", time, diag_tickTime, diag_frameno, diag_fps, "file", __LINE__, tmsg,tval1,tval2,tval3];
#else
#define __TRACE(tmsg)
#define __TRACE_1(tmsg,tval1)
#define __TRACE_2(tmsg,tval1,tval2)
#define __TRACE_3(tmsg,tval1,tval2,tval3)
#endif