
R3F_FNCT_ObjectGrabber = {
	private ["_item","_posref","_dirref","_radius","_class","_ia","_name","_compo","_array","_count","_obj","_pos","_posx","_posy","_posz","_dir","_fuel","_damage","_crew"];
	_item = _this select 0;
	if (isNil "_item") exitWith {};
	_posref = [_item] call R3F_FNCT_GetPos;
	if (count _posref == 0) exitWith {};
	_dirref = _this select 1;
	_radius = _this select 2;
	if (count _this > 3) then {
		_class = _this select 3;
	} else {
		_class = ["All"];
	};
	if (count _this > 4) then {
		_ia = _this select 4;
	} else {
		_ia = true;
	};
	if (count _this > 5) then {
		_name = _this select 5;
	} else {
		_name = (if (alive player ) then { name player; } else { ""; });
	};
	if (typeName _name != "STRING") exitWith {hint "*** GRABBER DEBUG : Le nom doit tre entre guillemets :\n""nom""";};
	_name = toLower _name;
	_compo = [];
	_array = nearestObjects [_posref,_class,_radius];
	_count = count _array;
	for "_i" from 0 to (_count - 1) do {
		_obj = _array select _i;
		if (_obj != player) then {
			_class = typeOf _obj;
			_pos = getPosATL _obj;
			_posx = (_pos select 0) - (_posref select 0);
			_posy = (_pos select 1) - (_posref select 1);
			_posz = _pos select 2;
			_dir = direction _obj;
			_fuel = fuel _obj;
			_damage = damage _obj;
			if (_ia && (count (crew _obj) > 0)) then {_crew = true;} else {_crew = false;};
// TODO : position relative bugge (utiliser direction 0)
			_compo set [count _compo,[_class,[_posx,_posy,_posz],(_dir - _dirref),_fuel,_damage,_crew]];
//diag_log format ["**** GRABBER %4 : dir - dirref %1 - %2 = %3",_dir,_dirref,_dir - _dirref,_class];
		};
	};
	diag_log format ["%1",_compo];
	copyToClipboard (str (_compo));
	server setVariable ["compo_" + _name,_compo,true];
	_compo;
};
