
R3F_FNCT_IED = {
	private ["_side","_item","_pos","_distance","_param","_ied","_class","_ammo","_trust","_complex","_addaction","_varname","_clearing","_trigger","_destroy","_units","_engineer","_explo"];
	_side = _this select 0;
	if (typeName _side != "SIDE") exitWith {};
	_item = _this select 1;
	if (isNil "_item") exitWith {};
	_pos = [_item] call R3F_FNCT_GetPos;
	if (count _pos == 0) exitWith {};
	_distance = if (count _this > 2) then {_this select 2;} else {15;};
	if (typeName _distance != "SCALAR") exitWith {};
	if (count _this > 3) then {
		_param = _this select 3;
		if (typeName _param == "OBJECT") then {
			_ied = _param;
			_class = typeOf _ied;;
		} else {
			if (typeName _param == "STRING") then {
				_class = _param;
			} else {
				_class = "Land_IED_v2_PMC";
			};
			_ied = createVehicle [_class,_pos,[],0,"NONE"];
		};
	} else {
		_class = "Land_IED_v2_PMC";
		_ied =  createVehicle [_class,_pos,[],0,"NONE"];
	};
	_ammo = if (count _this > 4) then {_this select 4;} else {"R_57mm_HE";};
	if (typeName _ammo != "STRING") exitWith {};
	_trust = if (count _this > 5) then {_this select 5;} else {1;};
	if (typeName _trust != "SCALAR") exitWith {};
	_complex = if (count _this > 6) then {_this select 6;} else {0;};
	if (typeName _complex != "SCALAR") exitWith {};
	_ied setVariable ["ied_complex",_complex,true];
	_ied setPosATL _pos;
	_ied setVariable ["ied_inert",false,true];
	_varname = format ["IED%1",floor time];
	_ied setVariable ["ied_varname",_varname,true];
	_ied call compile format ["%1=_this; publicVariable ""%1""",_varname];
	_ied_detect = (((boundingBox _ied) select 1) select 0);
	if (_ied_detect < 2) then {_ied_detect = 2;};
	if (_ied isKindOf "Car") then {_ied_detect = 2.3;};
	if ((_ied isKindOf "UAZ_Base") || (_ied isKindOf "LandRover_Base") || (_ied isKindOf "BAF_Jackal2_BASE_D") || (_ied isKindOf "SUV_Base_EP1")) then {_ied_detect = 2.5;};
	if ((_ied isKindOf "HMMWV_Base") || (_ied isKindOf "ArmoredSUV_Base_PMC") || (_ied isKindOf "Ikarus")) then {_ied_detect = 2.7;};
	_ied setVariable ["ied_detect",_ied_detect,true];
	if (_ied isKindOf "thing") then {[_ied] call R3F_FNCT_IED_NoDestructObj;} else {_ied setVariable ["ied_damage",[0,1]];};
	_clearing = false;
	_trigger = false;
	_destroy = false;
	sleep 1;
	while {!_trigger && !(isNull _ied)} do {
		if (!_clearing) then {
			_units = nearestObjects [_pos,["Man","Car","Tank","Motorcycle"],_distance];
			if (count _units > 0) then {
				{	if ((side _x == _side) && alive _x) exitWith {
						if (((getNumber (configFile >> "CfgVehicles" >> typeOf _x >> "canDeactivateMines")) == 1) && !(_x isKindOf "FR_Base")) then {
							_engineer = _x;
							_addaction = if (isNil "_addaction") then {false;} else {_engineer getVariable "engineer_clearing";};
							if (!(_addaction) && !(_ied getVariable "ied_inert")) then {
								[nil,_engineer,rADDACTION,(Localize "STR_R3F_SCENE_IED" call R3F_FNCT_Red),"tmf\core\modules\r3f_acv\Scripts\SCENE_ied.sqf",[_ied],1,false,false,"",format ["((_target distance %1) < (%1 getVariable ""ied_detect"")) && !(%1 getVariable ""ied_inert"")",(_ied getVariable "ied_varname")]] call RE;
								_engineer setVariable ["engineer_clearing",true];
							};
							_clearing = true;
						} else {
							_trigger = true;
						};
					};
					sleep 0.01;
				} forEach _units;
			};
		} else {
			if !(isNull _engineer) then {
				if (((_engineer distance _ied) > _distance) || !(alive _engineer)) then {_clearing = false;_engineer setVariable ["engineer_clearing",false];};
			};
		};
		if ((damage _ied > 0.95) || (((_ied getVariable "ied_damage") select 0) > 0.95) || !(alive _ied)) then {_trigger = true;_destroy = true;};
		if (_trigger) then {
			private "_remove";
			_remove = if ((_ied isKindOf "TimeBombCore") || (_ied isKindOf "MissileBase") || (getText (configFile >> "CfgMagazines" >> typeOf _ied >> "simulation") == "ProxyMagazines") || (typeOf _ied == "Explosive") || (typeOf _ied == "bomb") || (typeOf _ied == "Land_IED_v1_PMC") || (typeOf _ied == "Land_IED_v2_PMC") || (typeOf _ied == "Land_IED_v3_PMC") || (typeOf _ied == "Land_IED_v4_PMC")) then {true;} else {false;};
			if (((random 1 <= _trust) && (_trust > 0)) || _destroy) then {
				[_ammo,_pos] spawn R3F_FNCT_Explo;
				if (!isNil "ACV_FNCT_Broadcast_BIS_Effects_Burn") then {[_pos,5,120] spawn ACV_FNCT_Broadcast_BIS_Effects_Burn;};
				_ied setDamage 1;
				sleep 0.5;
				if (_remove) then {deleteVehicle _ied;};
			} else {
				["SmokeShell",_pos,-0.1,3] call R3F_FNCT_Fumi;
				if (_remove) then {
					sleep 6;
					[nil,_ied,"per",rADDACTION,(Localize "STR_R3F_SCENE_REMOVE_IED" call R3F_FNCT_Blue),"tmf\core\modules\r3f_acv\Scripts\SCENE_ied_remove.sqf",[],1,false,false,"","((_this distance _target) < _target getVariable ""ied_detect"")"] call RE;
				};
			};
			if !(isNull _engineer) then {_engineer setVariable ["engineer_clearing",false];};
		};
		if (_ied getVariable "ied_inert") exitWith {
			["SmokeShell",_pos,-0.1,3] call R3F_FNCT_Fumi;
			if !(isNull _engineer) then {_engineer setVariable ["engineer_clearing",false];};
		};
		sleep 2;
	};
};

/* valeur ratio > 1 : diminue les dgats
   valeur ratio < 1 : augmente les dgats */
R3F_FNCT_IED_NoDestructObj = {
	private ["_object","_ratio","_array","_damage"];
	_object = _this select 0;
	if (typeName _object != "OBJECT") exitWith {};
	_array = _object getVariable "ied_damage";
	if !(isNil "_array") then {
		private "_hit";
		_damage = _array select 0;
		_hit = _this select 2;
		if (isNil "_hit") then {_hit = 0.01;};
		_ratio = _hit / (_array select 1);
		_damage = _damage + _ratio;
		_array set [0,_damage];
	} else {
		_ratio = if (count _this > 1) then {_this select 1;} else {1;};
		if (typeName _ratio != "SCALAR") then {_ratio = 1;};
		_object addeventhandler ["HandleDamage",{_this call R3F_FNCT_IED_NoDestructObj;}];
		_damage = 0;
		_array = [_damage,_ratio];
	};
	_object setVariable ["ied_damage",_array];
	if (_damage >= 1) then {_object removeAllEventHandlers "HandleDamage";};
	_damage
};
