
/* ACV_FNCT_managecargo.sqf
-----------------------------------------------------------------------------
Gère le contenu d'une caisse de munition ou d'un véhicule
toutes les munitions et/ou tout l'armement embarqués dans un véhicule,
une caisse de munitions, etc...

Exemple :
[OBJ,[["R3F_30Rnd_556x45_FAMAS",100],["HandGrenade_West",200],...],false,true] call ACV_FNCT_ManageCargo;
[OBJ,[],true,true] call ACV_FNCT_ManageCargo; (vide la caisse, armes ET munitions)

function ACV_FNCT_ManageCargo()

@param0 : (object) caisse de munition ou véhicule
@param1 : (array) [[classe,quantité],...] 
@param2 : boolean (optionnel) Weapon : true vide ou false rajoute, les armes
@param3 : boolean (optionnel) Ammo : true vide ou false rajoute, les munitions

@return rien

_box=cursortarget;_type=typeOf _box;
_weaponcapacity=getNumber (configFile >> "CfgVehicles" >> _type >> "transportMaxWeapons");
_magazinecapacity=getNumber (configFile >> "CfgVehicles" >> _type >> "transportMaxMagazines");
hintSilent format ["Objet : %1 - Armes : %2 - Munitions : %3",_type,_weaponcapacity,_magazinecapacity];
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_ManageCargo = {
	private "_code";
	_code = compile "_this call R3F_FNCT_ManageCargo;";
	[ACV_BROADCAST_TO_CLIENT,_code,_this] call ACV_FNCT_BroadcastCode;
};
