private ["_t","_pm"];

DEBUG_CHECK = {
	if (ismultiplayer) then {
		(([] call mso_core_fnc_isAdmin) || (([] call mp_rights_fnc_isAdmin)));
	} else {
		true;
	};
};

if (!isdedicated) then {
	if (isNil "TYR_MENU_IsActive" || {TYR_MENU_IsActive <= 0}) then {
		["player", [mso_interaction_key], -9401, ["tmf\core\modules\rmm_debug\fn_menuDef.sqf", "main"]] call CBA_ui_fnc_add;
		["Debug","if ([] call DEBUG_CHECK) then {createDialog 'RMM_ui_debug'} else {player sidechat (localize('STR_LOGGED_ADMIN'))}"] call mso_core_fnc_updateMenu;
	} else {
		if (!isnil "tyr_fnc_addHandler") then {
			["TYRMENU",
				[[
					"RMM Debug"
					,DEBUG_CHECK
					,{if ([] call DEBUG_CHECK) then {createDialog 'RMM_ui_debug'} else {player sidechat (localize('STR_LOGGED_ADMIN'))};}
					,"tmf\core\modules\rmm_debug\rmmdebug.paa"
					,20
				]]
			] call tyr_fnc_addHandler;
		};
	};
};

if (debug_mso) then {
        // Mark all enemy units with a red dot
        //[] execVM "enemy\scripts\mark_enemy.sqf";
        
        // Show player spawn distance
        // if !(isnull player) then {
            	// if (isnil "rmm_ep_spawn_dist") then {rmm_ep_spawn_dist = 1500;};
                // _t = format["player_%1", player];
                // _pm = [_t, position player, "ELLIPSE", [rmm_ep_spawn_dist,rmm_ep_spawn_dist], "TEXT:", _t, "BRUSH:", "Border", "COLOR:", "ColorGreen"] call CBA_fnc_createMarker;	
                // [_pm] spawn {
                        // private ["_pm"];
                        // _pm = _this select 0;
                        // while {true} do {
                                // _pm  setmarkerpos position player;
                                // sleep 0.3;
                        // };
                // };
        // };
};

displayStats = {
	if (!([] call DEBUG_CHECK)) exitWith {}; 
	private ["_avgF","_minF","_maxU","_avgU","_curU","_locU"];
	_avgF = _this select 0;
	_minF = _this select 1;
	_maxU = _this select 2;
	_avgU = _this select 3;
	_curU = _this select 4;
	_locU = _this select 5;
	hint format["Server FPS(Avg/Min): %1/%2\nUnits(Max/Avg/Cur/Loc): %3/%4/%5/%6\nGroups: %7", _avgF, _minF, _maxU, _avgU, _curU,_locU, count allGroups];
	diag_log format["CRBSERVERFPS,%1,%2,%3,%4,%5,%6,%7,%8", time, _avgF, _minF, _maxU, _avgU, _curU, _locU, count allGroups];
};	

if(isNil "debug_serverfps") then {debug_serverfps = 0;};

if(isServer && debug_serverfps != 0) then{
        [] spawn {
				waitUntil{!isNil "bis_fnc_init"};
				diag_log "CRBSERVERFPS,Time,FPSAvg,FPSMin,UnitsMax,UnitsAvg,UnitsCur,UnitsLoc,allGroups";
                private ["_testTime","_fpsmin","_FPSminArray","_currFrameNo","_maxU","_startTime","_startFrameNo","_endTime","_endFrameNo","_serverfps","_fpsavg","_allunits","_avgU","_i","_locU"];
                _i = 0;
                _fpsavg = 0;
                _maxU = 0;
                _avgU = 0;
                while{true} do {
                        
                        //test length - time in seconds taken as first record in argument
                        _testTime = debug_serverfps;
                        
                        if (isnil ("_testTime")) then {_testTime=60;};
                        
                        //minimal fps is calculated from worst frame time only
                        _fpsmin = 1000;
                        
                        _startTime = diag_tickTime;
                        _startFrameNo = diag_frameno;
                        
                        _currFrameNo = diag_frameno;
                        
                        _FPSminArray = [];
                        
                        while {diag_tickTime < (_startTime + _testTime)} do
                        {
                                while {(_currFrameNo + 16) > diag_frameno;} do {Sleep(0.001);}; //we want to call diag_fpsmin with all frames (diag_fpsmin uses last 16 frames)
                                //player globalChat format["%1", diag_frameno];
                                if (_fpsmin > diag_fpsmin) then {_fpsmin = diag_fpsmin};
                                
                                _FPSminArray = [diag_fpsmin] + _FPSminArray;
                                _currFrameNo = diag_frameno;
                        };
                        
                        _endTime = diag_tickTime;
                        _endFrameNo = diag_frameno;
                        
                        private ["_testTimeAct","_frameCnt"];
                        _testTimeAct = (_endTime - _startTime);
                        _frameCnt = (_endFrameNo - _startFrameNo);
                        
                        _serverfps = _frameCnt / _testTimeAct;
                        _fpsavg = (_fpsavg *  _i + _serverfps) / (_i + 1);
                        _allunits = count allUnits;
                        if (_maxU < _allunits) then {_maxU = _allunits};
                        _avgU = (_avgU *  _i + _allunits) / (_i + 1);
                        _i = _i + 1;
                        _locU= {local _x} count allUnits;
                        [0, [_fpsavg, _fpsmin, _maxU, _avgU, _allunits,_locU], displayStats] call mso_core_fnc_ExMP;
                };
        };
};
