#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "tyr_menu\fn_updateItem.sqf"
#include <core_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_id","_params"];
_id = -1;
DEFAULT_PARAM(_id,0,-1);
DEFAULT_PARAM(_params,1,[]);

_result = false;
if (typename _id == typename 0) then {
	if (_id > 0 && (round(_id) == _id)) then {
		if (_id < (count GVAR(added_items))) then {
			if (typename _params == typename [] && {count _params > 1}) then {
				if (isNil QGVAR(added_items)) then { GVAR(added_items) = []; };
				_id = count GVAR(added_items);
				GVAR(added_items) set [_id, _params];
				_result = true;
			} else {
				ERROR_1("Invalid input",_this);
				_result = false;
			};
		} else {
			ERROR_1("ID Out of bounds",_id);
			_result = false;
		};
	} else {
		DEBUG_1("Not a valid ID",_id);
		_result = false;
	};
} else {
	DEBUG_1("Not a number",_id);
	_result = false;
};

TRACE_1("End",_result);
TMFPROFILERSTOP;
_result