//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "arrays\fn_pairGet.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;
private ["_array","_key","_default","_result"];
DEFAULT_PARAM(_array,0,[]);
DEFAULT_PARAM(_key,1,"");
DEFAULT_PARAM(_default,2,nil);
_result = VALORNIL(_default);
if (IS_ARRAY(_array) && IS_STRING(_key)) then {
	if (_key != "") then {
		{
			if (typename _x == typename []) then {
				if (count _x > 1) then {
					if (typename (_x select 0) == typename "") then {
						if (toupper(_key) == toupper(_x select 0)) then {
							_result = _x select 1;
						};
					};
				};
			};
			if (!isnil "_result") exitWith {};
		} foreach _array;
	} else {
		ERROR_1("Invalid Key",_key);
	};
} else {
	ERROR_1("Invalid Parameters",_this);
};
TRACE_1("End",_result);
TMFPROFILERSTOP;
_result;