// 2014-02-01 Tyrghen
//---------------------------------------------
// Usage:
//  [] call edt_fnc_;
//---------------------------------------------
// Purpose:
// 
// 
// Parameters:
// - 
//
// Returns:
// 
//---------------------------------------------
// Objectif:
// 
//
// Paramètres:
// - 
//
// Renvoie:
// 
//---------------------------------------------

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_assassinate.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

if (!isServer) exitWith {TRACE("Not Server")};

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_type","_marker","_killed","_error","_obj_params","_obj_params","_killed_msg","_side"];
DEFAULT_PARAM(_type,0,"");
DEFAULT_PARAM(_marker,1,"");
DEFAULT_PARAM(_killed,2,"");
DEFAULT_PARAM(_killed_msg,3,ARR_2("STR_TMF_TARGET_ASSASSINATED",(ARR_1(_type) call FFUNC(displayName))));
DEFAULT_PARAM(_side,4,GVAR(enemy_side));

_obj = objNull;
_is_valid = true;

if (AND_ALSO(IS_STRING(_type),(_type == ""))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),!(_type isKindOf "Man" || _type isKindOf "LandVehicle" || _type isKindOf "Air" || _type isKindOf "Ship"))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),IS_STRING(_marker))) then {
	_is_valid = _is_valid && _marker != "";
};
if (AND_ALSO(IS_STRING(_type),IS_ARRAY(_marker))) then {
	_is_valid = _is_valid && count _marker < 2;
};
if (AND_ALSO(IS_OBJECT(_type),(isnull _type))) then {
	_is_valid = false;
};
_killed = _killed call FFUNC(getStringVar);

if (_is_valid) then {
	_obj_params = [];
	_obj_params set [TMF_VEH_PARAMS_TYPE, _type];
	_obj_params set [TMF_VEH_PARAMS_GRP, _side];
	_obj_params set [TMF_VEH_PARAMS_POS, _marker];

	_tmf_params = [];
	_tmf_params = [_tmf_params,"KILLED_MSG",_killed_msg] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"SHARED_VAR",_killed] call FFUNC(hashSet);
	// _tmf_params = [_tmf_params,"KILLED_CODE",""] call FFUNC(hashSet);

	_obj = [_obj_params,"ASSASSINATE",_tmf_params] call FFUNC(CreateMissionUnit);
	TRACE_1("End",ARR_3(_obj, typeof _obj, getPos _obj));
} else {
	ERROR("Invalid Parameters");
};
TMFPROFILERSTOP;
_obj