// 2014-02-01 Tyrghen
//---------------------------------------------
// Usage:
//  [] call edt_fnc_;
//---------------------------------------------
// Purpose:
// 
// 
// Parameters:
// - 
//
// Returns:
// 
//---------------------------------------------
// Objectif:
// 
//
// Paramètres:
// - 
//
// Renvoie:
// 
//---------------------------------------------

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_hostage.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

if (!isServer) exitWith {TRACE("Not Server")};

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_type","_marker","_freed_var","_alive_var","_freed_msg","_dead_msg"];
DEFAULT_PARAM(_type,0,"");
DEFAULT_PARAM(_marker,1,"");
DEFAULT_PARAM(_freed_var,2,"");
DEFAULT_PARAM(_alive_var,3,"");
DEFAULT_PARAM(_freed_msg,4,["STR_TMF_TARGET_RESCUED"]);
DEFAULT_PARAM(_dead_msg,5,["STR_TMF_TARGET_RESCUEDIED"]);

_obj = objNull;
_is_valid = true;

if (AND_ALSO(IS_STRING(_type),(_type == ""))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),!(_type isKindOf "Man"))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),IS_STRING(_marker))) then {
	_is_valid = _is_valid && _marker != "";
};
if (AND_ALSO(IS_STRING(_type),IS_ARRAY(_marker))) then {
	_is_valid = _is_valid && count _marker < 2;
};
if (AND_ALSO(IS_OBJECT(_type),(isnull _type))) then {
	_is_valid = false;
};

_freed_var = _freed_var call FFUNC(getStringVar);
_alive_var = _alive_var call FFUNC(getStringVar);

if (_is_valid) then {
	_obj_params = [];
	_obj_params set [TMF_VEH_PARAMS_TYPE, _type];
	_obj_params set [TMF_VEH_PARAMS_GRP, civilian];
	_obj_params set [TMF_VEH_PARAMS_POS, _marker];

	_tmf_params = [];
	_tmf_params = [_tmf_params,"FREED_MSG",_freed_msg] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"DIE_MSG",_dead_msg] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"SHARED_FREE_VAR",_freed_var] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"SHARED_ALIVE_VAR",_alive_var] call FFUNC(hashSet);
	// _tmf_params = [_tmf_params,"FREE_CODE",""] call FFUNC(hashSet);
	// _tmf_params = [_tmf_params,"DIE_CODE",""] call FFUNC(hashSet);

	_obj = [_obj_params,"HOSTAGE",_tmf_params] call FFUNC(CreateMissionUnit);
	TRACE_1("End",ARR_3(_obj, typeof _obj, getPos _obj));
} else {
	ERROR("Invalid Parameters");
};
TMFPROFILERSTOP;
_obj