// 2014-02-01 Tyrghen
//---------------------------------------------
// Usage:
//  [] call edt_fnc_;
//---------------------------------------------
// Purpose:
// 
// 
// Parameters:
// - 
//
// Returns:
// 
//---------------------------------------------
// Objectif:
// 
//
// Paramètres:
// - 
//
// Renvoie:
// 
//---------------------------------------------

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_pickup.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

if (!isServer) exitWith {TRACE("Not Server")};

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_type","_marker","_error","_obj_params","_pickup_var","_item_desc","_pickup_msg"];
DEFAULT_PARAM(_type,0,"");
DEFAULT_PARAM(_marker,1,"");
DEFAULT_PARAM(_pickup_var,2,"");
DEFAULT_PARAM(_item_desc,3,(ARR_1(_type) call FFUNC(displayName)));
DEFAULT_PARAM(_pickup_msg,4,ARR_2("STR_TMF_TARGET_PICKEDUP","__CALLER__"));

_obj = objNull;
_is_valid = true;

if (AND_ALSO(IS_STRING(_type),(_type == ""))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),(_type isKindOf "Man" || _type isKindOf "LandVehicle" || _type isKindOf "Air" || _type isKindOf "Ship"))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),IS_STRING(_marker))) then {
	_is_valid = _is_valid && _marker != "";
};
if (AND_ALSO(IS_STRING(_type),IS_ARRAY(_marker))) then {
	_is_valid = _is_valid && count _marker < 2;
};
if (AND_ALSO(IS_OBJECT(_type),(isnull _type))) then {
	_is_valid = false;
};
_pickup_var = _pickup_var call FFUNC(getStringVar);

if (_is_valid) then {
	_obj_params = [];
	_obj_params set [TMF_VEH_PARAMS_TYPE, _type];
	_obj_params set [TMF_VEH_PARAMS_POS, _marker];

	if (AND_ALSO(IS_STRING(_item_desc),(_item_desc == ""))) then { _item_desc = [_type] call FFUNC(displayName); };

	_tmf_params = [];
	_tmf_params = [_tmf_params,"ITEM_DESC",_item_desc] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"PICKUP_MSG",_pickup_msg] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"SHARED_VAR",_pickup_var] call FFUNC(hashSet);
	//_tmf_params = [_tmf_params,"SHARED_VAR_VAL",true] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"PICKUP_TITLE","STR_TMF_PICKUP_DEFACTION"] call FFUNC(hashSet);
	//_tmf_params = [_tmf_params,"PICKUP_CODE",""] call FFUNC(hashSet);

	OBJ = [_obj_params,"PICKUP",_tmf_params] call FFUNC(CreateMissionObject);
	TRACE_1("End",ARR_3(_obj, typeof _obj, getPos _obj));
} else {
	ERROR("Invalid Parameters");
};
TMFPROFILERSTOP;
_obj