// 2014-02-01 Tyrghen
//---------------------------------------------
// Usage:
//  [guard,"AmovPercMstpSsurWnonDnon"] call edt_fnc_playMove;
//---------------------------------------------
// Purpose:
// Makes a unit play a given move. For AI animations or player animations.
// 
// Parameters:
// - Unit which makes the move
// - The name of the move to execute
//
// Returns:
// Nothing
//---------------------------------------------
// Objectif:
// Force une unité à exécuter un movement. Pour animer des IA ou des joueurs.
//
// Paramètres:
// - L'unité qui exécute le mouvement
// - Le nom du mouvement à exécuter
//
// Renvoie:
// Rien
//---------------------------------------------

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_playMove.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

[QGVAR(all_execute),[QUOTE(FFUNC(playMove)),_this],THIS_FILE] call FFUNC(callEvent);

TRACE("End");
TMFPROFILERSTOP;