// 2014-02-01 Tyrghen
//---------------------------------------------
// Usage:
//  [] call edt_fnc_removeRadio;
//---------------------------------------------
// Purpose:
// Remove the radio from the unit or group given as parameter. It allows for example to avoid the RadioNet from ASR AI to function
// 
// Parameters:
// - Unit or group losing it's radio
//
// Returns:
// Nothing
//---------------------------------------------
// Objectif:
// Retire la radio de l'unité ou du groupe passé en paramètre. Ca permet par exemple d'empêcher le RadioNet du ASR AI de fonctionner.
//
// Paramètres:
// - Unité ou groupe qui perd sa radio
//
// Renvoie:
// Rien
//---------------------------------------------

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_removeRadio.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_unit"];
_unit = _this;
if (IS_ARRAY(_this)) then {
	DEFAULT_PARAM(_unit,0,objNull);
};

[_unit] call FFUNC(removeRadio);

TRACE("End");
TMFPROFILERSTOP;