//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "common\fn_getAllActionID.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_object","_result","_actions","_id","_i"];
_result = [];
DEFAULT_PARAM(_object,0,objNull);
if (!isnull _object) then {
	_actions = [_object] call FFUNC(getActions);
	{
		_id = ([_x, TMF_HK_ACTION_ID,-1,THIS_FILE] call FFUNC(HashGet));
		if (!isnil "_id") then {
			if (_id >= 0 && !(_id in _result)) then {
				_result set [ count _result, _id];
			};
		};
	} foreach _actions;
};
TRACE_1("End",_result);
TMFPROFILERSTOP;
_result;