//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "ia\fn_removeItems.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_object","_fnc_removeNVG"];
DEFAULT_PARAM(_object,TMF_REGISTER_OBJECT,objNull);

_fnc_removeNVG = {
	if ("NVGoggles" in (assigneditems _this)) then {
		_this unlinkItem "NVGoggles";
		//_this removeItem "NVGoggles"; _this unassignItem "NVGoggles";
	} else {
		if ("NVGoggles_OPFOR" in (assigneditems _this)) then {
			_this unlinkItem "NVGoggles_OPFOR";
			//_this removeItem "NVGoggles_OPFOR"; _this unassignItem "NVGoggles_OPFOR";
		} else {
			if ("NVGoggles_INDEP" in (assigneditems _this)) then {
				_this unlinkItem "NVGoggles_INDEP";
				//_this removeItem "NVGoggles_INDEP"; _this unassignItem "NVGoggles_INDEP";
			};
		};
	};
};

if (IS_GROUP(_object)) then {
	{ [_x] call FFUNC(removeItems);
	} foreach units _object;
} else {
	_object removeItem "FirstAidKit";
	_object call _fnc_removeNVG;
};
TRACE("End");
TMFPROFILERSTOP;