// getIn.sqf
//  OCTOBER 2010 - norrin
//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "nornn_convoy\fn_getIn.sqf"
#include <core_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_vcl","_unit","_vclPos","_aliveVcls","_c","_emptyDriver","_emptyGunner","_emptyCargo"];

_vcl 		= _this select 0;
_unit		= _this select 1;
_vclPos		= _this select 2;
_aliveVcls	= _this select 3;
_c			= -1;

_unit doMove getPos _vcl; 

while {(_unit distance _vcl) > 10 && !(_unit getVariable QGVAR(restart))} do
{	
	_c = _c + 1;
	if (_c == 5) then {_c = 0; _unit doMove getPos _vcl}; 
	sleep 2;
};

if (_unit getVariable QGVAR(restart)) exitWith {_unit doFollow (_aliveVcls select 0)};

[_unit] allowGetIn true;
if ("driver" in _vclPos && _unit == (_vcl getVariable QGVAR(driver))) then {_unit assignAsDriver _vcl; [_unit] orderGetIn true};
if ("cargo" in _vclPos)  then {_unit assignAsCargo _vcl; [_unit] orderGetIn true};
if ("gunner" in _vclPos && _unit == (_vcl getVariable QGVAR(gunner)))  then {_unit assignAsGunner _vcl; [_unit] orderGetIn true};

sleep 30;

if (vehicle _unit != _unit) exitWith {};
for "_loop" from 0 to ((count _aliveVcls) - 1) step 1 do {	
	_vcl = _aliveVcls select _loop;
	while {!(_vcl getVariable QGVAR(allIn))} do {sleep 1};
	sleep (random 5);
	_emptyDriver  = _vcl emptyPositions "Driver";
	_emptyGunner  = _vcl emptyPositions "Gunner";
	_emptyCargo	  = _vcl emptyPositions "Cargo";
	if (_emptyDriver > 0 || _emptyGunner > 0 || _emptyCargo > 0) then 
	{
		if (_emptyDriver == 1) then {[_vcl, _unit, ["driver"],_aliveVcls] spawn FUNC(GetIn)};
		if (_emptyDriver == 0 && _emptyGunner == 1) then {[_vcl, _unit, ["gunner"],_aliveVcls] spawn FUNC(GetIn)};
		if (_emptyDriver == 0 && _emptyGunner == 0 && _emptyCargo > 0) then {[_vcl, _unit, ["cargo"],_aliveVcls] spawn FUNC(GetIn)};
	};
	sleep 0.1;
};
if(true) exitWith {};

TRACE("End");
TMFPROFILERSTOP;
