/*
FSF_SacVentral
2013-2014

Auteur : ElDoktor, ToF, BeTeP

site : www.clan-fsf.fr
Debug : http://server.clan-fsf.fr:8008/redmine/projects/fsf-server-arma-26
Source : http://server.clan-fsf.fr:8008/redmine/projects/fsf-server-arma-26/repository
*/

/* Functions */
// 2.0

FSFSV_IsBusy = false;
if (isNil "FSFSV_AllowManualAction") then { FSFSV_AllowManualAction = 1; };
if (isNil "FSFSV_RespawnChestBag") then { FSFSV_RespawnChestBag = 1; };

//Fonction pour passer le sac du dos vers le ventral
FSFSV_CallBackpackToFront = {
	private ["_pos","_backpack","_size","_array","_FSFSV_SacADosGwh","_FSFSV_SacPrincipal","_end"];
	FSFSV_IsBusy = true;
	0 spawn { sleep 5;
		FSFSV_IsBusy = false; 
		if (isNull (player getVariable ["FSFSV_BACKPACK",objNull])) then {
			player forceWalk false;
		};
	};
	player setVariable ["FSFSV_BACKPACK_CARGO",[]];
	if (backpack(player) != "" && {!(backpack(player) isKindOf "B_Parachute")}) then {
		player setVariable ["FSFSV_BACKPACK_CARGO",[backpack player,backpackItems player]];
	};
	_pos = [player,1,(getDir player)] call BIS_fnc_relPos;
	_backpack = backpack player;
	_size = sizeof _backpack;
	_array = _pos isFlatEmpty [(_size / 2),0,0.7,_size,0,false,player];
	if (count _array == 0) then {_pos = getPos player;};
	if (count _pos > 0) then {
		_FSFSV_SacADosGwh = "GroundWeaponHolder" createVehicle _pos;
		_FSFSV_SacADosGwh setPos _pos;
		if (!(isNil "_FSFSV_SacADosGwh") && !(isNull _FSFSV_SacADosGwh)) then {
			player reveal _FSFSV_SacADosGwh;
			player action ["DropBag",_FSFSV_SacADosGwh,_backpack];
			player forceWalk true;
			sleep 1;
			_end = time + 4;
			waitUntil { !alive player || {count (backpackCargo _FSFSV_SacADosGwh) > 0} || _end < time};
			sleep 0.3;
		};
		if (!alive player) exitWith { player forceWalk false; FSFSV_IsBusy = false; };
		// diag_log ["FSFSV_CallBackpackToFront",__LINE__,backpack player,_FSFSV_SacADosGwh,(player getVariable ["FSFSV_BACKPACK",objNull]),(player getVariable ["FSFSV_FIRST_BACKPACK",objNull])];
		
		if ((backpack player == "") && !(isNull _FSFSV_SacADosGwh)) then {//anti Action::Process - No target [action: DropBag]
			private ["_positionMemorisee","_positionActualisee","_vehicle"];
			_FSFSV_SacADosGwh attachTo [player,[-0.1,0.8,-0.05],"pelvis"];
			_FSFSV_SacADosGwh setVectorDirAndUp [[0,0,-1],[0,1,0]];
			// Added for the Domination GC
			_FSFSV_SacADosGwh setVariable ["d_ignore_gc", true, true];
			_positionMemorisee = "vertical";

			player setVariable ["FSFSV_BACKPACK",_FSFSV_SacADosGwh];
			
			// diag_log ["FSFSV_CallBackpackToFront",__LINE__,(player getVariable ["FSFSV_BACKPACK",objNull]),(player getVariable ["FSFSV_FIRST_BACKPACK",objNull])];
			if (!isNull (player getVariable ["FSFSV_FIRST_BACKPACK",objNull])) then {
				_FSFSV_SacPrincipal = player getVariable ["FSFSV_FIRST_BACKPACK",objNull];
				// diag_log ["FSFSV_CallBackpackToFront",__LINE__,_FSFSV_SacPrincipal,(backpackCargo _FSFSV_SacPrincipal)];
				detach _FSFSV_SacPrincipal;
				_FSFSV_SacPrincipal setPos (getPos player);
				player action ["AddBag",_FSFSV_SacPrincipal,(backpackCargo _FSFSV_SacPrincipal) select 0];
				_end = time + 4;
				waituntil {!alive player || (backpack player) != "" || _end < time};
				sleep 0.3;
				if (!alive player) exitWith {};
				player setVariable ["FSFSV_FIRST_BACKPACK",objNull];
				// diag_log ["FSFSV_CallBackpackToFront",__LINE__,backpack player];
			};
			FSFSV_IsBusy = false;
			
			while {!(isNull _FSFSV_SacADosGwh)} do {
				_positionActualisee = (animationState player) call FSFSV_QuellePosition;

				if ((_positionMemorisee != _positionActualisee) && (_positionActualisee != "")) then {
					switch (_positionActualisee) do {
						case "vertical" : {
							_FSFSV_SacADosGwh attachTo [player,[-0.1,0.8,-0.05],"pelvis"];
							_FSFSV_SacADosGwh setVectorDirAndUp [[0,0,-1],[0,1,0]];
						};
						case "horizontallower" : {
							_FSFSV_SacADosGwh attachTo [player,[-0.1,0,-0.72],"pelvis"];
							_FSFSV_SacADosGwh setVectorDirAndUp [[0,-1,-0.15],[0,0,-1]];
						};
						case "horizontalupper" : {
							_FSFSV_SacADosGwh attachTo [player,[-0.1,0.4,0.75],"pelvis"];
							_FSFSV_SacADosGwh setVectorDirAndUp [[0,0.75,-0.25],[0,0.25,0.75]];
						};
					};
					_positionMemorisee = _positionActualisee;
				};

				if (player != vehicle player) then {
					private "_para";
					_vehicle = vehicle player;
					_para = if (_vehicle isKindOf "ParachuteBase") then {true;} else {false;};

					if (_para) then {
						_FSFSV_SacADosGwh attachTo [_vehicle,[-0.12,0.65,-0.15]];
						_FSFSV_SacADosGwh setVectorDirAndUp [[0,-0.2,-1],[0,1,0]];
						//anti-bug Lino, addAction temporarily removed
						//player setVariable ["FSFSV_BACKPACK",objNull];
					} else {
						detach _FSFSV_SacADosGwh;
						_FSFSV_SacADosGwh setPos [random 50,random 50,(10000 + (random 50))];
						[[_FSFSV_SacADosGwh,true],"FSFSV_cacheObjet"] call BIS_fnc_MP;
					};
					//diag_log ["FSFSV_CallBackpackToFront",__LINE__,vehicle player,_para,_FSFSV_SacADosGwh];
					waitUntil {sleep 0.1;((player == vehicle player) || !(alive player))};

					[[_FSFSV_SacADosGwh,false],"FSFSV_cacheObjet"] call BIS_fnc_MP;
					if (_para && !(alive player)) then {
						detach _FSFSV_SacADosGwh;
						_FSFSV_SacADosGwh setPos (getPos player);
					};
					_positionMemorisee = "out";
				};

				if !(alive player) exitWith {};
				sleep 0.1;
			};
		} else {
			player forceWalk false;
			FSFSV_IsBusy = false;
		};
	} else {
		player forceWalk false;
		FSFSV_IsBusy = false;
	};
	//diag_log ["FSFSV_CallBackpackToFront",__LINE__,"quitting",player getVariable ["FSFSV_BACKPACK",objNull],_FSFSV_SacADosGwh];
};

//Fonction pour passer le sac du ventral vers le dos
FSFSV_CallBackpackToBack = {
	private ["_FSFSV_SacADosGwh","_FSFSV_NewSacADosGwh","_end"];
	FSFSV_IsBusy = true;
	0 spawn { sleep 6; FSFSV_IsBusy = false; };
	_FSFSV_SacADosGwh = player getVariable "FSFSV_BACKPACK";
	if !(isNull _FSFSV_SacADosGwh) then {
		if (backpack player != "") then {
			_FSFSV_NewSacADosGwh = "GroundWeaponHolder" createVehicle (position player);
			_FSFSV_NewSacADosGwh setPos ([player,1,(getDir player)] call BIS_fnc_relPos);
			player action ["DropBag",_FSFSV_NewSacADosGwh,typeOf (unitBackpack player)];
			sleep 1;
			_end = time + 4;
			waitUntil { !alive player || {count (backpackCargo _FSFSV_NewSacADosGwh) > 0} || _end < time};
			sleep 0.3;
		};
		if (!alive player) exitWith {};
		detach _FSFSV_SacADosGwh;
		player action ["AddBag",_FSFSV_SacADosGwh,(backpackCargo _FSFSV_SacADosGwh) select 0];
		player setVariable ["FSFSV_BACKPACK",objNull];
		player setVariable ["FSFSV_BACKPACK_CARGO",[]];
		player forceWalk false;
	};
	FSFSV_IsBusy = false;
};

//Check si joueur a pied et si l'on peut placer le sac a dos en position ventral
FSFSV_TestPlayerBackpackBack = {
	private "_return";
	_return = false;
	if (FSFSV_AllowManualAction > 0 && !FSFSV_IsBusy && alive player && (isNull (player getVariable "FSFSV_BACKPACK")) && (backpack player != "") && {!((backpack player) isKindOf "B_Parachute")} && (vehicle player == player)) then {
		private ["_pos","_iswater"];
		_pos = getPosASL player;
		_iswater = surfaceIsWater _pos;
		if (!(_iswater) || (_iswater && ((_pos select 2) > 0.5))) then {_return = true;};
	};
	_return
};

//Check si joueur a pied et si il y a un sac en position ventral et aucun en position dos
FSFSV_TestPlayerBackpackFront = {
	private "_return";
	_return = if (FSFSV_AllowManualAction > 0 && !FSFSV_IsBusy && alive player && !(isNull (player getVariable "FSFSV_BACKPACK")) && (backpack player == "") && (vehicle player == player)) then {
		true;
	} else {
		false;
	};
	_return
};

FSFSV_QuellePosition = {
	private "_animationAMemoriser";
	_animationAMemoriser = switch (_this) do {
	     // a genou
	     case "amovpknlmstpsraswrfldnon";
	     case "amovpknlmstpslowwrfldnon";
	     // vertical dans l'eau
	     case "asdvpercmstpsnonwrfldnon";
	     case "asdvpercmstpsnonwnondnon";
		// vertical au sol
		case "amovpercmstpsnonwnondnon";
	     case "amovpercmrunslowwrfldf";
	     case "amovpercmstpslowwrfldnon";
	     case "amovpercmstpsraswrfldnon";
	     case "advepercmstpsnonwnondnon";
	     case "advepercmstpsnonwrfldnon";
	     case "aswmpercmstpsnonwnondnon" : {"vertical";};

		// couche
		case "amovppnemstpsraswrfldnon";
		case "amovppnemsprslowwrfldf";
	     // Free Fall
	     case "halofreefall_non";
	     // Plongeur (nage) horizontal sac dessous
	     case "abdvpercmwlksnonwrfldf";
	     case "asdvpercmwlksnonwrfldf";
	     case "abdvpercmstpsnonwrfldnon";
	     case "advepercmwlksnonwnondf";
	     case "advepercmwlksnonwrfldf";
	     case "aswmpercmwlksnonwnondf" : {"horizontallower";};

		// Plongeur (nage sur le dos) horizontal sac dessus
		case "abdvpercmwlksnonwnondb";
	     case "abdvpercmwlksnonwrfldb";
	     case "advepercmwlksnonwrfldb";
	     case "asdvpercmwlksnonwrfldb" : {"horizontalupper";};

	     // vide par dfaut
	     default {"";};
    };
	_animationAMemoriser
};

FSFSV_RespawnChestBackpack = {
	private ["_end","_backpackInfo","_weaponholder"];
	player setVariable ["FSFSV_FIRST_BACKPACK",objNull];
	_backpackInfo = player getVariable ["FSFSV_BACKPACK_CARGO",[]];
	// diag_log ["FSFSV_RespawnChestBackpack",__LINE__,player,backpack player,player getVariable ["FSFSV_BACKPACK",objNull],player getVariable ["FSFSV_FIRST_BACKPACK",objNull],_backpackInfo];
	if (!isNil "_backpackInfo" && {typeName _backpackInfo == typeName []} && {count _backpackInfo > 1}) then {
		// diag_log ["FSFSV_RespawnChestBackpack",__LINE__,player,backpack player];
		waitUntil { !isNull player && alive player };
		sleep 1;
		_end = time + 1.5;
		waitUntil { _end < time || (backpack player != "") };
		sleep 0.5;
		// diag_log ["FSFSV_RespawnChestBackpack",__LINE__,player,backpack player];
		_weaponholder = objNull;
		if (backpack player != "") then {
			_weaponholder = "GroundWeaponHolder" createVehicle (position player);
			_weaponholder setPos (getPos player);
			player action ["DropBag",_weaponholder,typeOf (unitBackpack player)];
			_end = time + 5;
			waitUntil {count (backpackCargo _weaponholder) > 0 || _end < time};
			_weaponholder attachTo [player,[0,0,-1.5]];
			player setVariable ["FSFSV_FIRST_BACKPACK",_weaponholder];
			// diag_log ["FSFSV_RespawnChestBackpack",__LINE__,player,backpack player,_weaponholder,player getVariable ["FSFSV_BACKPACK",objNull],player getVariable ["FSFSV_FIRST_BACKPACK",objNull]];
		};
		player addBackpack (_backpackInfo select 0);
		{ player addItemToBackpack _x } forEach (_backpackInfo select 1);
		// diag_log ["FSFSV_RespawnChestBackpack",__LINE__,player,backpack player,_weaponholder,player getVariable ["FSFSV_BACKPACK",objNull],player getVariable ["FSFSV_FIRST_BACKPACK",objNull]];
		FSFSV_IsBusy = true;
		0 spawn FSFSV_CallBackpackToFront;
		sleep 3;
		// diag_log ["FSFSV_RespawnChestBackpack",__LINE__,player,backpack player,_weaponholder,player getVariable ["FSFSV_BACKPACK",objNull],player getVariable ["FSFSV_FIRST_BACKPACK",objNull],FSFSV_IsBusy];
	};
};

FSFSV_cacheObjet = compileFinal "(_this select 0) hideObject (_this select 1);";

FSFSV_Player_Killed = {
	private ["_FSFSV_SacADosGwh","_delay","_falling","_speed","_attached"];
	sleep 0.2;
	// diag_log ["FSFSV_Player_Killed",__LINE__,player,backpack player,player getVariable ["FSFSV_BACKPACK",objNull],player getVariable ["FSFSV_FIRST_BACKPACK",objNull]];
	_FSFSV_SacADosGwh = player getVariable ["FSFSV_BACKPACK",objNull];
	if (!isnull _FSFSV_SacADosGwh) then {
		//anti-bug collision, shock or other... tempo 100s, if he died in freefall (~3000m)
		_delay = time + 100;
		waitUntil {
			sleep 0.2;
			_vehicle = vehicle player;
			_speed = speed _vehicle;
			_falling = (velocity _vehicle) select 2;
			(((_speed > -1) && (_speed < 1) && (_falling < 0.5) && (_falling > -0.5)) || (time > _delay))
		};
		_attached = attachedTo _FSFSV_SacADosGwh;
		if !(isNull _attached) then {
			detach _FSFSV_SacADosGwh;
			if (_attached isKindOf "ParachuteBase") then { deleteVehicle _attached; };
		};
		_FSFSV_SacADosGwh setPos (getPos player);
		deleteVehicle _FSFSV_SacADosGwh;
	} else {
		player setVariable ["FSFSV_BACKPACK_CARGO",[]];
	};
	player setVariable ["FSFSV_BACKPACK",objNull];
	if (!isNull (player getVariable ["FSFSV_FIRST_BACKPACK",objNull])) then {
		_attached = attachedTo (player getVariable ["FSFSV_FIRST_BACKPACK",objNull]);
		if !(isNull _attached) then {
			detach (player getVariable ["FSFSV_FIRST_BACKPACK",objNull]);
			if (_attached isKindOf "ParachuteBase") then { deleteVehicle _attached; };
		};
		deleteVehicle (player getVariable ["FSFSV_FIRST_BACKPACK",objNull]);
	};
	player setVariable ["FSFSV_FIRST_BACKPACK",objNull];
	// diag_log ["FSFSV_Player_Killed",__LINE__,player,backpack player,player getVariable ["FSFSV_BACKPACK",objNull],player getVariable ["FSFSV_FIRST_BACKPACK",objNull]];
};

FSFSV_Player_Init = {
	player forceWalk false;
	if (isNil "TYR_MENU_IsActive" || {TYR_MENU_IsActive <= 0}) then {
		player addAction ["<t color='#0070E0'>" + localize "FSFSV_STR_MettreLeSacEnVentral" + "</t>","FSFSV_IsBusy = true; 0 spawn FSFSV_CallBackpackToFront","",-10,false,false,"","call FSFSV_TestPlayerBackpackBack"];
		player addAction ["<t color='#0070E0'>" + localize "FSFSV_STR_MettreLeSacSurLeDos" + "</t>","FSFSV_IsBusy = true; 0 spawn FSFSV_CallBackpackToBack","",-10,false,false,"","call FSFSV_TestPlayerBackpackFront"];
	};
	if (FSFSV_RespawnChestBag > 0) then {
		// diag_log ["FSFSV_Player_Init",__LINE__,player,backpack player,player getVariable ["FSFSV_BACKPACK",objNull],player getVariable ["FSFSV_FIRST_BACKPACK",objNull]];
		// diag_log ["FSFSV_Player_Init",__LINE__,player getVariable ["FSFSV_BACKPACK_CARGO",[]]];
		0 spawn FSFSV_RespawnChestBackpack;
	};
};
