if (typename _this != "task") exitwith {};

private ["_taskdescription", "_taskdestination", "_taskstatus", "_taskparams"];

_taskdescription = (taskdescription _this) select 1;
_taskdestination = mapgridposition (taskdestination _this);
_taskstatus	= tolower(taskstate _this);

_taskparams = switch (tolower(_taskstatus)) do {
        case "created": {
                [format[localize "STR_TASKS_CREATED", _taskdescription, _taskdestination], [1,1,1,1], "tasknew"]
        };
        case "assigned": {
                [format[localize "STR_TASKS_ASSIGNED", _taskdescription, _taskdestination], [0.4,0.4,0.8,1], "taskcurrent"]
        };
        case "succeeded": {
                [format[localize "STR_TASKS_SUCCEEDED", _taskdescription, _taskdestination], [0.4,0.8,0.4,1], "taskdone"]
        };
        case "failed": {
                [format[localize "STR_TASKS_FAILED", _taskdescription, _taskdestination], [1,0,0,1], "taskfailed"]
        };
        case "canceled": {
                [format[localize "STR_TASKS_CANCELED", _taskdescription, _taskdestination], [0.6,0.6,0.6,1], "taskFailed"]
        };
};
taskhint _taskparams;