//diag_debug_level = 10;

// TFR - This one prevents that team leaders lose their backpack to get a LR radio
tf_no_auto_long_range_radio = true;

// The side of the players on this map
// Le camp des joueurs sur cette carte
tmf_own_side = "WEST"; // "EAST", "GUER"

// The type of the ammobox the players can find on the map
// Le type des caisses de munition disponible sur la carte
tmf_ammobox_type = "B_supplyCrate_F";
// Ammobox refills minimum every 10 minutes and when the player is far enough
tmf_ammobox_refill = true;

// remove bodies after 10 minutes. Set on 0 to deactivate
tmf_clean_bodies_delay = 180;
// Remove weapons and magazines from bodies. Set on 0 to leave weapons on bodies
tmf_clean_bodies_weapons = 0;

// Uncomment only if needed, it makes it faster to have less buildings.
//TMF_BUILDING_POSITIONS_LIST = ["aia"];

// The content of the ammoboxes for the west and east sides, leave empty to default to all west/east weapons
// Le contenu des caisses de munitions pour les deux camps, laissez vide pour avoir toutes les armes
//
// Content has to be in the format:
// Le contenu doit tre prsent comme suit:
// WEST_AMMO_BOX_CONTENT =[
//   //type, class, amount
//   [1,"M9",4],
//   [0,"15Rnd_9x19_M9",15],
//   [1,"M24",4],
//   [0,"5Rnd_762x51_M24",15]
//   ...
// ];
// WEST_AMMO_BOX_CONTENT = [];
// EAST_AMMO_BOX_CONTENT = [];

// Overrides the content of the Ammo boxes dropped by the Air Drop vehicle
// Remplace le contenu des caisses de munitions largues par les vhicules de largage
TYR_DROP_AMMO_BOX_CONTENT = [
	[0,"SatchelCharge_Remote_Mag",10],
	[0,"DemoCharge_Remote_Mag",10],
	[0,"ClaymoreDirectionalMine_Remote_Mag",10],
	[0,"ATMine",5],
	[0,"HandGrenade",20],
	[0,"SmokeShellBlue",20],
	[1,"FirstAidKit",20]
];

// Overrides the content of the Ammo boxes where the marker has the text: ["START"]
// Remplace le contenu des caisses de munitions dans le texte du marqueur contient: ["START"]
START_AMMO_BOX_CONTENT = [
	[1,"Binocular",1],
	[1,"RangeFinder",1],
	[1,"LaserDesignator",1],
	[1,"hgun_P07_F",1],
	[1,"hgun_ACPC2_F",1],
	[1,"hgun_Pistol_heavy_01_F",1],
	[1,"hgun_Pistol_heavy_02_F",1],
	[1,"hgun_mas_mak_F",1],
	[1,"SMG_01_F",1],
	[1,"SMG_02_F",1],
	[1,"hgun_PDW2000_F",1],
	[0,"16Rnd_9x21_Mag",1],
	[0,"9Rnd_45ACP_Mag",1],
	[0,"R3F_15Rnd_9x19_PAMAS",1],
	[0,"11Rnd_45ACP_Mag",1],
	[0,"6Rnd_45ACP_Cylinder",1],
	[0,"30Rnd_9x21_Mag",1],
	[0,"30Rnd_mas_9x21d_Stanag",1],
	[0,"30Rnd_45ACP_Mag_SMG_01",1]
];

// vas_weapons = [
// "hgun_P07_F",
// "arifle_SDAR_F",
// "launch_NLAW_F",
// "arifle_TRG20_F",
// "arifle_TRG21_F",
// "arifle_TRG21_GL_F",
// ...
// ];

// vas_magazines = [
// "100Rnd_65x39_caseless_mag",
// "100Rnd_65x39_caseless_mag_Tracer",
// "16Rnd_9x21_Mag",
// "30Rnd_9x21_Mag",
// "20Rnd_556x45_UW_mag",
// ...
// ];

// This allow for giving any equipment to a unit.
// Call it with:
// Ceci permet de donner n'importe quel quipement  une unit
// [this,"ASSAULT"] execVM "equiper.sqf";
ASSAULT_EQUIPMENT =[
  // Weapons
  ["srifle_EBR_MRCO_pointer_F","ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShellBlue","SmokeShellBlue","SmokeShellBlue","SmokeShellBlue"
	,"20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag"
	,"FirstAidKit","FirstAidKit","FirstAidKit","FirstAidKit"
	]
  // Backpack and content 
  ,["B_AssaultPack_Blk",
	// weapons
	 ["FirstAidKit","FirstAidKit","FirstAidKit","FirstAidKit"]
	// Magazines 
	,["20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag"]
	 // Backpack items
	 //,[]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_I_G_Story_Protagonist_F" // Uniform
	,"V_PlateCarrierH_CTRG" // Vest
	,"H_HELMETSPECB_BLK" // Headgear
	,"G_Tactical_Clear" // Goggles
  ]
];

if (isClass(ConfigFile >> "CfgVehicles" >> "VTR_Veterans_Soldier_Rifleman_E_F")) then {
	ASSAULT_EQUIPMENT =[
	  // Weapons
	  ["srifle_EBR_ARCO_pointer_F","ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
	  // Vest / Uniform content
	  ,["SmokeShellBlue","SmokeShellBlue","SmokeShellBlue","SmokeShellBlue"
		,"20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag"
		,"FirstAidKit","FirstAidKit","FirstAidKit","FirstAidKit"
		]
	  // Backpack and content 
	  ,["B_TacticalPack_oli",
		// weapons
		 ["FirstAidKit","FirstAidKit","FirstAidKit","FirstAidKit"]
		// Magazines 
		,["20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","20Rnd_762x51_Mag","HandGrenade","HandGrenade","HandGrenade","HandGrenade"]
		 // Backpack items
		 //,[]
	  ]
	  // Items, put the items in brackets to also assign it.
	  ,[]
	  //Armor/Clothing
	  ,[
		 "VTR_U_Veterans_W" // Uniform
		,"VTR_V_PlateCarrierV" // Vest
		,"VTR_H_Helmet_Woodland_SF" // Headgear
		,"G_Tactical_Clear" // Goggles
	  ]
	];
};

DIVER_EQUIPMENT =[
  // Weapons
  ["ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular","arifle_SDAR_F"]
  // Vest / Uniform content
  ,["HandGrenade","SmokeShellPurple","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag"]
  // Backpack and content 
  ,["B_AssaultPack_Blk",
	// weapons
	 ["FirstAidKit","FirstAidKit","FirstAidKit","FirstAidKit"]
	// Magazines 
	,["HandGrenade","HandGrenade"
	 ,"SmokeShellPurple","SmokeShellPurple","SmokeShellPurple","SmokeShellPurple"
	 ,"20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag","20Rnd_556x45_UW_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[["NVGoggles"]]
  //Armor/Clothing
  ,[
	 "U_B_Wetsuit" // Uniform
	,"V_RebreatherB" // Vest
	,"" // Headgear
	,"G_Diving" // Goggles
  ]
];


// Here follows 21 classes to make Militia like units out of regular soldiers.
MILITIA_I1_EQUIPMENT =[
  // Weapons
  [["arifle_mas_m4_v_a"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag"]
  // Backpack and content 
  ,["B_TacticalPack_oli",
	// weapons
	 []
	// Magazines 
	,["HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"
	 ,"SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag","30Rnd_mas_556x45_T_Stanag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_leader" // Uniform
	,"V_Chestrig_blk" // Vest
	,"H_Booniehat_mcamo" // Headgear
	,"" // Goggles
  ]
];

MILITIA_I2_EQUIPMENT =[
  // Weapons
  [["LMG_mas_m72_F"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["HandGrenade","SmokeShell","100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,["B_TacticalPack_oli",
	// weapons
	 []
	// Magazines 
	,["SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla2_1" // Uniform
	,"V_Chestrig_blk" // Vest
	,"H_MilCap_rucamo" // Headgear
	,"" // Goggles
  ]
];

MILITIA_I3_EQUIPMENT =[
  // Weapons
  [["arifle_mas_akm"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla2_2" // Uniform
	,"V_Chestrig_blk" // Vest
	,"H_HelmetCrew_I" // Headgear
	,"" // Goggles
  ]
];

MILITIA_I4_EQUIPMENT =[
  // Weapons
  [["LMG_mas_rpk_F_a"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,["B_FieldPack_khk",
	// weapons
	 []
	// Magazines 
	,["HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"
	 ,"SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag","100Rnd_mas_762x39_T_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_leader" // Uniform
	,"V_BandollierB_rgr" // Vest
	,"H_Bandanna_camo" // Headgear
	,"G_Lowprofile" // Goggles
  ]
];

MILITIA_I5_EQUIPMENT =[
  // Weapons
  [["arifle_mas_ak_74m_a"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
   ,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla3_1" // Uniform
	,"V_TacVest_blk" // Vest
	,"H_Bandanna_mcamo" // Headgear
	,"" // Goggles
  ]
];

MILITIA_I6_EQUIPMENT =[
  // Weapons
  [["arifle_mas_aks74"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
    ,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla3_2" // Uniform
	,"V_TacVest_blk" // Vest
	,"H_MilCap_dgtl" // Headgear
	,"" // Goggles
  ]
];

MILITIA_I7_EQUIPMENT =[
  // Weapons
  [["arifle_mas_akm"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla3_1" // Uniform
	,"V_TacVest_blk" // Vest
	,"H_Cap_blk_CMMG" // Headgear
	,"" // Goggles
  ]
];

MILITIA_I8_EQUIPMENT =[
  // Weapons
  [["arifle_mas_akms_c"],["launch_RPG32_F"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,["B_FieldPack_oucamo"
	,[]
	,["RPG32_HE_F","RPG32_HE_F"]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla2_3" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_Booniehat_indp" // Headgear
	,"" // Goggles
  ]
];

 MILITIA_I9_EQUIPMENT =[
  // Weapons
  [["arifle_mas_akms"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,["B_TacticalPack_oli",
	// weapons
	 []
	// Magazines 
	,["HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"
	 ,"SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
	 ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla1_1" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_Watchcap_sgg" // Headgear
	,"" // Goggles
  ]
];


MILITIA_I10_EQUIPMENT =[
  // Weapons
  [["arifle_mas_m70ab"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,["G_Bergen",
	// weapons
	 []
	// Magazines 
	,["HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"
	 ,"SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
	 ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla2_1" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_MilCap_mcamo" // Headgear
	,"" // Goggles
  ]
];
 
MILITIA_I11_EQUIPMENT =[
  // Weapons
  [["srifle_mas_svd_h"],["launch_RPG32_F"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag"
    ,"10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag","10Rnd_mas_762x54_mag"]
  // Backpack and content 
  ,["B_FieldPack_oucamo"
	,[]
	,["RPG32_HE_F","RPG32_HE_F"]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla1_1" // Uniform
	,"V_TacVest_blk" // Vest
	,"H_BandMask_blk" // Headgear
	,"" // Goggles
  ]
];

MILITIA_I12_EQUIPMENT =[
  // Weapons
  [["arifle_mas_aks74_gl_a"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
    ,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"]
  // Backpack and content 
  ,["B_Carryall_khk",
	// weapons
	 ["Medikit"]
	// Magazines 
	,["SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"3Rnd_SmokeRed_Grenade_shell","3Rnd_SmokeRed_Grenade_shell","3Rnd_SmokeRed_Grenade_shell","3Rnd_SmokeRed_Grenade_shell"
	 ,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_IG_Guerilla2_3" // Uniform
	,"V_TacVest_blk" // Vest
	,"H_Bandanna_mcamo" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C1_EQUIPMENT =[
  // Weapons
  [["arifle_mas_m70ab"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_C_HunterBody_grn" // Uniform
	,"V_TacVest_blk" // Vest
	,"H_HelmetIA" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C2_EQUIPMENT =[
  // Weapons
  [["arifle_mas_akms_c"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_C_Poor_1" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_MilCap_gry" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C3_EQUIPMENT =[
  // Weapons
  [["arifle_mas_akms_c"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"
    ,"30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag","30Rnd_mas_762x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_C_WorkerCoveralls" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_Watchcap_sgg" // Headgear
	,"G_Spectacles" // Goggles
  ]
];

MILITIA_C4_EQUIPMENT =[
  // Weapons
  [["arifle_mas_aks74"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
    ,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_C_WorkerCoveralls" // Uniform
	,"V_HarnessOGL_brn" // Vest
	,"H_Bandanna_gry" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C5_EQUIPMENT =[
  // Weapons
  [["LMG_mas_pkm_F"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag"]
  // Backpack and content 
  ,["B_FieldPack_khk",
	// weapons
	 []
	// Magazines 
	,["SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_Rangemaster" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_Bandanna_cbr" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C6_EQUIPMENT =[
  // Weapons
  [["arifle_mas_aks74u"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
    ,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_NikosBody" // Uniform
	,"V_TacVest_blk" // Vest
	,"H_Bandanna_gry" // Headgear
	,"" // Goggles
  ]
];
 
MILITIA_C7_EQUIPMENT =[
  // Weapons
  [["arifle_mas_aks74u_c"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
    ,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_OrestesBody" // Uniform
	,"V_HarnessOGL_brn" // Vest
	,"H_Booniehat_khk" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C8_EQUIPMENT =[
  // Weapons
  [["arifle_mas_ak_74m_c"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","SmokeShell","SmokeShell","SmokeShell","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"
	,"30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag","30Rnd_mas_545x39_T_mag"]
  // Backpack and content 
  ,[]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_NikosBody" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_MilCap_ocamo" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C9_EQUIPMENT =[
  // Weapons
  [["arifle_mas_g3s"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag"
    ,"20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag"]
  // Backpack and content 
  ,["B_Carryall_khk",
	// weapons
	 []
	// Magazines 
	,["HandGrenade","HandGrenade","HandGrenade","HandGrenade","HandGrenade"
	 ,"SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag"
	 ,"20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag","20Rnd_mas_762x51_T_Stanag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_OrestesBody" // Uniform
	,"V_HarnessOGL_gry" // Vest
	,"H_Beret_blk" // Headgear
	,"" // Goggles
  ]
];

MILITIA_C10_EQUIPMENT =[
  // Weapons
  [["LMG_mas_pkm_F"],"ItemMap","ItemRadio","ItemCompass", "ItemWatch","Binocular"]
  // Vest / Uniform content
  ,["SmokeShell","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag"]
  // Backpack and content 
  ,["B_FieldPack_khk",
	// weapons
	 []
	// Magazines 
	,["SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell","SmokeShell"
	 ,"100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag","100Rnd_mas_762x54_T_mag"
	 ]
  ]
  // Items, put the items in brackets to also assign it.
  ,[]
  //Armor/Clothing
  ,[
	 "U_Rangemaster" // Uniform
	,"V_Rangemaster_belt" // Vest
	,"H_Bandanna_cbr" // Headgear
	,"" // Goggles
  ]
];