//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "adminActions\fn_moderationAction.sqf"
#include <core_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_is_active","_action_id"];
PARAMS_1(_is_active);
_action_id = GVAR(ModerationAction);

TRACE_1("Input",ARR_2(_is_active,_action_id));
if (_action_id >= 0) then {
	if (!_is_active) then {
		player removeAction _action_id;
		GVAR(ModerationAction) = -1;
		TRACE_1("Action Removed",GVAR(ModerationAction));
	};
} else {
	if (_is_active) then {
		_action_id = player addAction [RED_TEXT(localize "STR_MSO_AA_ACTIONMENU"),"tmf\core\addAction.sqf",[[player],FUNC(moderation)],-5,false,true];
		GVAR(ModerationAction) = _action_id;
		TRACE_1("Action Added",GVAR(ModerationAction));
	};
};

TRACE_1("End",GVAR(ModerationAction));
TMFPROFILERSTOP;
