
/* ACV_FNCT_kamikaze.sqf
-----------------------------------------------------------------------------
Crée un kamikaze avec différents paramètres réglables :
Side visée, objet ou groupe, distance déclenchement, munition, fiabilité

Si un groupe est donné, le kamikaze est déterminé aléatoirement sur une unité du groupe.

Exemple : [west,GRP,20,"R_57mm_HE",1] call ACV_FNCT_Kamikaze;

function ACV_FNCT_Kamikaze()

@param0 Side visée
@param1 objet ou groupe
@param2 nombre: (optionnel) Défaut : 15
@param3 chaîne : (optionnel) Défaut : "Sh_105_HE"
@param4 nombre : (optionnel) Défaut : 1 - fiabilité de 0 à 1

@return Rien

Munition :
	"R_57mm_HE"
	"ARTY_Sh_81_WP"
	"SH_105_HE"
	"SH_120_HE"
	"SH_125_HE"
	"SH_155_HE"
	"R_57mm_HE"
	"M_Sidewinder_AA"
	"Bo_GBU12_LGB"
	"Bo_FAB_250"
	"AR_origin_y_R_227mm_HE"
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_Kamikaze = {
	private "_code";
	_code = compile "_this spawn R3F_FNCT_Kamikaze;";
	[ACV_BROADCAST_TO_SERVER,_code,_this] call ACV_FNCT_BroadcastCode;
};
