
/* ACV_FNCT_MineField.sqf
-----------------------------------------------------------------------------
Faire un champ de mine carré avec des mines visibles ou pas.

Exemple : [position GRP2, 200, 10, false,"mines camp1"] call ACV_FNCT_MinesField;

Crée un champs de mine à la position de GRP2 dans un carré de 200m sur 200
avec des mines espacées de 10m et non-visibles, champs de mines nommé : "mines camp1".

function ACV_FNCT_MinesFields()

@param array (variant) position centrale du champs de mines
@param int largeur en mètres du champs de mines
@param int distance en mètres entre les mines
@param boolean mines visibles (true) ou invisibles (false)
@param string, Nom du champs de mines

variant = 	(string) nom de joueur (la position du joueur sera renvoyée)
			(group) un group (la position du leader sera renvoyée)
			(object) un objet quelquonque (la position de l'objet sera renvoyée)
			(array) position (tableau [x, y, z])

@return rien
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_MinesField = {
	private "_code";
	_code = compile "_this call R3F_FNCT_MinesField;";
	[ACV_BROADCAST_TO_SERVER,_code,_this] call ACV_FNCT_BroadcastCode;
};