﻿
/* ACV_FNCT_para.sqf
-----------------------------------------------------------------------------
Faire venir un ou des avions de transport de troupes et effectuer un parachutage

Exemple : [WEST,[0,0,0],[0,0,0],26,"PATROL"] call ACV_FNCT_Para;

Si la side est WEST le larguage à lieu d'un C130 (max 26 paras).
Pour la side EAST le larguage est effectué à partir d'un MI8 ou AN2 (max 15 paras).

function ACV_FNCT_Para()

@param1 side (west ou east)
@param2 array position de départ
@param3 array position du larguage
@param4 integer nombre de parachutistes dans avion (OPTIONNEL)
@param5 Attitudes des paras au sol (OPTIONNEL) : "PATROL", "DEFEND", "HOLD" (defaut),

@return rien
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_Para = {
	private "_code";
	_code = compile "_this call R3F_FNCT_Para;";
	[ACV_BROADCAST_TO_SERVER,_code,_this] call ACV_FNCT_BroadcastCode;
};