﻿
/* ACV_FNCT_patrol.sqf
-----------------------------------------------------------------------------
Faire patrouiller de l'infanterie ou des véhicules.

Exemple : [GRP,200,true] call ACV_FNCT_Patrol;

Le groupe (infanterie ou véhicule) sélectionné patrouillera aléatoirement dans un rayon donné.
S'il y a suffisemment de route, il choisira de se déplacer par la route.
Si l'on veut qu'aléatoirement, ils puissent rentrer dans les bâtiments, passer un dernier paramètre en : true

function ACV_FNCT_Patrol()

@param0 groupe
@param1 rayon
@param2 boolean (optionnel) Défaut : false (ne rentre pas dans les bâtiments)

@return rien
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_Patrol = {
	private "_code";
	_code = compile "_this call R3F_FNCT_Patrol;";
	[ACV_BROADCAST_TO_SERVER,_code,_this] call ACV_FNCT_BroadcastCode;
};