
/* ACV_FNCT_createobjects.sqf
-----------------------------------------------------------------------------
Place des objets avec différents paramètres.

Si la side est donnée, les unités correspondantes seront créées avec le véhicule.

Appel :
[	[[3943,6460,14.1],0,"DSHKM_TK_INS_EP1",EAST,"toto"],
	[[3926.8132,6603.4478, 0],165,"Fort_Barricade_EP1","","","_this setDamage 0.8;"]
] call ACV_FNCT_CreateObjects;
-----------------------------------------------------------------------------
*/
/** function ACV_FNCT_CreateObjects()

@param [x,y,z]
@param direction
@param class ou objet
@param side (optionnel) si équipage.
@param Nom donné (optionnel)
@param Code (optionnel) objet passé par la variable : _this

@return rien
**/
#include "ACV_constantes.h"
ACV_FNCT_CreateObjects = {
	private "_code";
	_code = compile "_this call R3F_FNCT_CreateObjects;";
	[ACV_BROADCAST_TO_SERVER,_code,_this] call ACV_FNCT_BroadcastCode;
};
