
/* ACV_FNCT_objectgrabber.sqf
-----------------------------------------------------------------------------
Place dans un tableau les objets relevés dans un rayon donnés pour ObjectMapper.
Les véhicules, statiques, peuvent être vide ou avec du personnel.

[[0,0,0],180,10] call R3F_FNCT_ObjectGrabber;
[[0,0,0],180,10,["Man","Car","Tank",'Motorcycle","StaticWeapon","Strategic","NonStrategic","Thing","Air","Ship"],true,name player] call R3F_FNCT_ObjectGrabber;

Strategic : Ammobox, wreck, body, flag, mash, fuel station, shed (hangar), wall...
NonStrategic : House, ruine, Land_HelipadSquare_F, fire, obstacle...
Thing : Road cone, camera, ordinateur, tv, barel, palette...

@param1	Tableau (variant) position de référence.
@param2	Nombre, direction de référence.
@param3	Nombre, rayon.
@param4	Tableau, classes (optionnel), par défaut ["All"].
@param5	Boolean (optionnel), avec ou sans IA, par défaut TRUE, si TRUE les véhicules, statiques, peuvent être vide ou avec du personnel.
@param6	String (optionnel), nom donné à la composition, par défaut name player (le nom doit être entre guillemets).

variant = 	(string) pseudo de joueur (la position du joueur sera renvoyée)
			(group) un group (la position du leader sera renvoyée)
			(Object) un objet quelconque (la position de l'objet sera renvoyée)
			(array) position (tableau [x, y, z])

Return	Un tableau contenant les objets posés, ex :

[["USMC_Soldier",[1,-5,0],330,1,0,true],["M2StaticMG",[-2,-5,0],225,1,0,TRUE],["M2StaticMG",[-6,-2,0],230,1,0,FALSE],["Land_CamoNetVar_NATO",[0,-3,0],230,1,0,false],["Box_NATO_Ammo_F",[-3,-3,0],225,1,0,false]]

(La classe, la position relative, direction relative, pour un véhicule ou un statique. Les deux paramètres sont le fuel et les dommages, le boolean défini du personnel embarqué ou pas..)

- Dans le RPT (ATTENTION : le nombre de caractère sur une ligne est limité).
- Dans le clipboard.
- Dans une variable sur l'objet "Logic" server "compo_BeTeP" : server setVariable [format ["compo_%1",name player],_compo,true];
----------------------------------------------------------------------------*/
