
/* ACV_FNCT_objectmapper.sqf
-----------------------------------------------------------------------------
Crée et positionne les objets relevés par R3F_FNCT_ObjectGrabber.
Soit par le player ou par un autre player, utiliser R3F_FNCT_WhoIs.
Un tableau est stocké dans une variable sur l'objet "Logic" server "compo_paste_BeTeP" : server setVariable [format ["compo_paste_%1",name player],_compo,true];

[[0,0,0],180,"BeTeP",_compo] call ACV_FNCT_ObjectMapper;

@param0 Position (variant)
@param1 Direction
@param2 String, nom de la composition
@param3 (optionnel) Tableau d'objets ex :

[["USMC_Soldier",[1,-5,0],330,1,0,true],["M2StaticMG",[-2,-5,0],225,1,0,TRUE],["M2StaticMG",[-6,-2,0],230,1,0,FALSE],["Land_CamoNetVar_NATO",[0,-3,0],230,1,0,false],["Box_NATO_Ammo_F",[-3,-3,0],225,1,0,false]]

(La classe, la position relative, direction relative, pour un véhicule ou un statique. Les deux paramètres sont le fuel et les dommages, le boolean défini du personnel embarqué ou pas..)

Par défaut, si ACV_FNCT_ObjectGrabber a été lancé avant et l'a copié dans l'objet Logic server : _compo = server getVariable format ["compo_%1",name player];

variant = 	(string) pseudo de joueur (la position du joueur sera renvoyée)
			(group) un group (la position du leader sera renvoyée)
			(Object) un objet quelconque (la position de l'objet sera renvoyée)
			(array) position (tableau [x, y, z])

Return : Rien

Copie un tableau avec uniquement les objets créés, ex : [B 1-1-D:1,B 1-1-D:2,2de2dd00# 439488: m2_mg.p3d,2ddb6400# 439483: camonet_nato_var1.p3d,2ddb6900# 439484: usbasicammo.p3d]
- Dans le clipboard.
- Dans une variable sur l'objet "Logic" server "compo_paste_BeTeP" : server setVariable [format ["compo_paste_%1",toLower (name player)],_compo_paste,true];
----------------------------------------------------------------------------*/
#include "ACV_constantes.h"
ACV_FNCT_ObjectMapper = {
	private "_code";
	_code = compile "_this call R3F_FNCT_ObjectMapper;";
	[ACV_BROADCAST_TO_SERVER,_code,_this] call ACV_FNCT_BroadcastCode;
};