
R3F_FNCT_MinesField = {
	private ["_item","_pos","_cote","_distance","_visible","_name","_dx","_dy","_x","_y","_row","_ddx","_field","_prof","_posmine","_mine"];
	_item = _this select 0;
	if (isNil "_item") exitWith {};
	_pos = [_item] call R3F_FNCT_GetPos;
	if (count _pos == 0) exitWith {};
	_cote = _this select 1;
	if (typeName _cote != "SCALAR") exitWith {};
	_distance	= _this select 2;
	if (typeName _distance != "SCALAR") exitWith {};
	_visible	= _this select 3;
	if (typeName _visible != "BOOL") exitWith {};
	_name = _this select 4;
	if (typeName _name != "STRING") exitWith {diag_log "*** DEBUG MinesField : Le nom doit tre entre guillemets : ""nom""";};
	_name = toLower _name;
	_dx = (_pos select 0) - (_cote / 2);
	_dy = (_pos select 1) - (_cote / 2);
	_x = 0;
	_y = 0;
	_decal = 0;
	_row = 0;
	_field = [];
	_prof = if (_visible) then {0;} else {-0.1;};
	while {_y < _cote} do {
		_ddx = if ((_row mod 2) == 0) then {_dx - (_distance / 2);} else {_dx;};
		while {_x < _cote} do {
			_posmine = [_ddx + _x,_dy + _y,_prof];
			_mine =  createvehicle ["Mine",_posmine,[],0,"NONE"] ;
			_mine setPos _posmine;
			_field set [count _field,_mine];
			_x = _x + _distance;
		};
		_row = _row + 1;
		_x = 0;
		_y = _y + _distance;
	};
	server setVariable ["minesfield_" + _name,_field];
	copyToClipboard (str (_field));
	_field
};
R3F_FNCT_MinesFieldDelete = {
	private ["_name","_field"];
	_name = _this select 0;
	if (typeName _name != "STRING") exitWith {diag_log "*** DEBUG MinesDelete : Le nom doit tre entre guillemets : ""nom""";};
	_name = toLower _name;
	_field = server getVariable ("minesfield_" + _name);
	if (typeName _field != "ARRAY") exitWith {};
	if (count _field > 0) then {
		{	if !(isNull _x) then {deleteVehicle _x;};
		} forEach _field;
		_field = nil;
	};
	true
};
