class Action
{
	class Homed
	{
		description = $STR_FNCT_HOMED_DESCR;
		file = $STR_FNCT_HOMED_FILE;
		code = "[GRP,100] call ACV_FNCT_Homed;";
	};
	class Patrol
	{
		description = $STR_FNCT_PATROL_DESCR;
		file = $STR_FNCT_PATROL_FILE;
		code = "[GRP,200] call ACV_FNCT_Patrol;";
	};
	class Balade
	{
		description = $STR_FNCT_BALADE_DESCR;
		file = $STR_FNCT_BALADE_FILE;
		code = "[GRP,200] call ACV_FNCT_Balade;";
	};
	class IED
	{
		description = $STR_FNCT_IED_DESCR;
		file = $STR_FNCT_IED_FILE;
		code = "[west,ACV_PosClick] call ACV_FNCT_IED;";
	};
	class Kamikaze
	{
		description = $STR_FNCT_KAMIKAZE_DESCR;
		file = $STR_FNCT_KAMIKAZE_FILE;
		code = "[west,leader GRP] call ACV_FNCT_Kamikaze;";
	};
	class MinesField
	{
		description = $STR_FNCT_MINES_DESCR;
		file = $STR_FNCT_MINES_FILE;
		code = "[ACV_PosClick,15,5,true,""mines intersection""] call ACV_FNCT_MinesField;";
	};
	class MinesFieldDelete
	{
		description = $STR_FNCT_MINESDELETE_DESCR;
		file = $STR_FNCT_MINESDELETE_FILE;
		code = "[""mines intersection""] call ACV_FNCT_MinesFieldDelete;";
	};
	class Parachutage
	{
		description = $STR_FNCT_PARA_DESCR;
		file = $STR_FNCT_PARA_FILE;
		code = "[WEST,[0,0,0],ACV_PosClick,15,""PATROL""] call ACV_FNCT_Para;";
	};
	class BIS_TaskPatrol
	{
		description = $STR_FNCT_BISPATROL_DESCR;
		file = $STR_FNCT_BISPATROL_FILE;
		code = "_grp = GRP; [_grp,position (leader _grp),200] call BIS_fnc_TaskPatrol;";
	};
	class BIS_TaskDefend
	{
		description = $STR_FNCT_BISDEFEND_DESCR;
		file = $STR_FNCT_BISDEFEND_FILE;
		code = "_grp = GRP; [_grp,position (leader _grp)] call BIS_fnc_TaskDefend;";
	};
};
class Utilitaire
{
	class Cleaner
	{
		description = $STR_FNCT_CLEANER_DESCR;
		file = $STR_FNCT_CLEANER_FILE;
		code = "[ACV_PosClick,100,[""Man"",""LandVehicle"",""plane"",""Ship""],1000] call ACV_FNCT_Cleaner;";
	};
	class Kitu
	{
		description = $STR_FNCT_KITU_DESCR;
		file = $STR_FNCT_KITU_FILE;
		code = "[east,ACV_PosClick,100,[""Man"",""LandVehicle"",""plane"",""Ship""]] call R3F_FNCT_Kitu;";
	};
	class Regroup
	{
		description = $STR_FNCT_REGROUP_DESCR;
		file = $STR_FNCT_REGROUP_FILE;
		code = "[GRP1,[GRP2,GRP3]] call ACV_FNCT_Regroup;";
	};
	class ManageCargo
	{
		description = $STR_FNCT_MANAGECARGO_DESCR;
		file = $STR_FNCT_MANAGECARGO_FILE;
		code = "[OBJ,[[""R3F_FRF2_J8"",1],[""R3F_10Rnd_762x51_FRF2"",5],[""R3F_AT4CS_Mag"",1],[""SmokeShellRed"",3]],false,false] call ACV_FNCT_ManageCargo;";
	};
	class Whois
	{
		description = $STR_FNCT_WHOIS_DESCR;
		file = $STR_FNCT_WHOIS_FILE;
		code = "_slot = [""BeTeP""] call R3F_FNCT_WhoIs; hintSilent format [""%1"",_slot];";
	};
	class Message_Crossroad
	{
		description = $STR_FNCT_MESSAGECROSSROAD_DESCR;
		file = $STR_FNCT_MESSAGECROSSROAD_FILE;
		code = "[side player,""HQ"",""*** O.E.L.M.E.O.L.E ***""] spawn R3F_FNCT_MessageCrossroad;";
	};
	class Message_Hint
	{
		description = $STR_FNCT_MESSAGEHINT_DESCR;
		file = $STR_FNCT_MESSAGEHINT_FILE;
		code = "[""PENSEZ AUX ESPACEMENTS !!!""] spawn R3F_FNCT_MessageHint;";
	};
	class Message_Hint_One
	{
		description = $STR_FNCT_MESSAGEHINTONE_DESCR;
		file = $STR_FNCT_MESSAGEHINTONE_FILE;
		code = "[""killjoe"",""A vos ordres !""] spawn R3F_FNCT_MessageHint_One;";
	};
	class SetEnvironment
	{
		description = $STR_FNCT_SETENVIRONMENT_DESCR;
		file = $STR_FNCT_SETENVIRONMENT_FILE;
		code = "[14, 0.2, 0.2, 0] call TYR_FNCT_SetEnvironment;";
	};
};
class Effet
{
	class Bomber
	{
		description = $STR_FNCT_BOMBER_DESCR;
		file = $STR_FNCT_BOMBER_FILE;
		code = "[""SH_105_HE"",ACV_PosClick,200,30,5] call ACV_FNCT_Bomber;";
	};
	class Explosion
	{
		description = $STR_FNCT_EXPLO_DESCR;
		file = $STR_FNCT_EXPLO_FILE;
		code = "[""Sh_105_HE"",ACV_PosClick,5,5] spawn ACV_FNCT_Explo;";
	};
	class Fumigene
	{
		description = $STR_FNCT_FUMI_DESCR;
		file = $STR_FNCT_FUMI_FILE;
		code = "[""SmokeShell"",ACV_PosClick,-0.1,10] spawn ACV_FNCT_Fumi;";
	};
	class EffetBurn
	{
		description = $STR_FNCT_BISEFFETBURN_DESCR;
		file = $STR_FNCT_BISEFFETBURN_FILE;
		code = "[OBJ] spawn ACV_FNCT_BIS_Effects_Burn;";
	};
};
class Objet
{
	class ObjectSelect
	{
		description = $STR_FNCT_OBJECTSELECT_DESCR;
		file = $STR_FNCT_OBJECTSELECT_FILE;
		code = "monobjet = [] call R3F_FNCT_ObjectSelect;";
	};
	class ObjectPosCam
	{
		description = $STR_FNCT_OBJPOSCAM_DESCR;
		file = $STR_FNCT_OBJPOSCAM_FILE;
		code = "[vehicle (leader GRP)] call R3F_FNCT_ObjPosCam;";
	};
	class ObjectDir
	{
		description = $STR_FNCT_OBJECTDIR_DESCR;
		file = $STR_FNCT_OBJECTDIR_FILE;
		code = "_obj = OBJ; [_obj,getDir _obj + 30] call R3F_FNCT_ObjectDir;";
	};
	class ObjectHeight
	{
		description = $STR_FNCT_OBJECTHEIGHT_DESCR;
		file = $STR_FNCT_OBJECTHEIGHT_FILE;
		code = "[OBJ,0.5] call R3F_FNCT_ObjectHeight;";
	};
	class ObjectAttach
	{
		description = $STR_FNCT_OBJECTATTACH_DESCR;
		file = $STR_FNCT_OBJECTATTACH_FILE;
		code = "[] call R3F_FNCT_ObjectAttach;";
	};
	class ObjectDelete
	{
		description = $STR_FNCT_OBJECTDELETE_DESCR;
		file = $STR_FNCT_OBJECTDELETE_FILE;
		code = "[] call R3F_FNCT_ObjectDelete;";
	};
};
class Creation
{
	class Command_Post_Arty
	{
		description = $STR_FNCT_POSTEARTY_DESCR;
		file = $STR_FNCT_POSTEARTY_FILE;
		code = "[position player,direction player] call ACV_FNCT_PosteArty;";
	};
	class CreateObjects
	{
		description = $STR_FNCT_CREATEOBJECTS_DESCR;
		file = $STR_FNCT_CREATEOBJECTS_FILE;
		code = "[] call ACV_FNCT_CreateObjects;";
	};
	class CreateUnits
	{
		description = $STR_FNCT_CREATEUNITS_DESCR;
		file = $STR_FNCT_CREATEUNITS_FILE;
		code = "[] call ACV_FNCT_CreateUnits;";
	};
	class ObjectGrabber
	{
		description = $STR_FNCT_OBJECTGRABBER_DESCR;
		file = $STR_FNCT_OBJECTGRABBER_FILE;
		code = "_macompo = [position player,direction player,50,[""Man"",""Car"",""Tank"",""Motorcycle"",""StaticWeapon"",""Strategic"",""NonStrategic"",""Thing"",""Air"",""Ship""],true,name player] call R3F_FNCT_ObjectGrabber;";
	};
	class ObjectMapper
	{
		description = $STR_FNCT_OBJECTMAPPER_DESCR;
		file = $STR_FNCT_OBJECTMAPPER_FILE;
		code = "[[0,0,0],0,""BeTeP""] call ACV_FNCT_ObjectMapper;";
	};
	class DeleteMapper
	{
		description = $STR_FNCT_DELETEMAPPER_DESCR;
		file = $STR_FNCT_DELETEMAPPER_FILE;
		code = "[""BeTeP""] call ACV_FNCT_DeleteMapper;";
	};
	class CreateDomBox
	{
		description = $STR_FNCT_DOMBOX_DESCR;
		file = $STR_FNCT_DOMBOX_FILE;
		code = "[ACV_PosClick] call ACV_FNCT_DomBox;";
	};
};
class Position
{
	class Teleport
	{
		description = $STR_FNCT_TELEPORT_DESCR;
		file = $STR_FNCT_TELEPORT_FILE;
		code = "[""BeTeP"",ACV_PosClick] call R3F_FNCT_Teleport;";
	};
	class ACV_PosClick
	{
		description = $STR_FNCT_ACVPOSCLICK_DESCR;
		file = $STR_FNCT_ACVPOSCLICK_FILE;
		code = "";
	};
	class PosCam
	{
		description = $STR_FNCT_POSCAM_DESCR;
		file = $STR_FNCT_POSCAM_FILE;
		code = "[] call R3F_FNCT_PosCam;";
	};
	class Catapulte
	{
		description = $STR_FNCT_CATAPULTE_DESCR;
		file = $STR_FNCT_CATAPULTE_FILE;
		code = "[""mapoule""] call R3F_FNCT_Catapulte;";
	};
	class Azimut
	{
		description = $STR_FNCT_AZIMUT_DESCR;
		file = $STR_FNCT_AZIMUT_FILE;
		code = "_azimut = [""BeTeP"",""Clint""] call R3F_FNCT_Azimut;";
	};
	class PosPlayer
	{
		description = $STR_FNCT_POSPLAYER_DESCR;
		file = $STR_FNCT_POSPLAYER_FILE;
		code = "_maposition = [] call R3F_FNCT_PosPlayer;";
	};
	class SetPos
	{
		description = $STR_FNCT_SETPOS_DESCR;
		file = $STR_FNCT_SETPOS_FILE;
		code = "leader GRP setPos ACV_PosClick;";
	};
	class SetunitPos
	{
		description = $STR_FNCT_SETUNITPOS_DESCR;
		file = $STR_FNCT_SETUNITPOS_FILE;
		code = "leader GRP setUnitPos ""DOWN"";";
	};
};
class Info
{
	class Diag_Log
	{
		description = $STR_FNCT_DIAG_LOG_DESCR;
		file = $STR_FNCT_DIAG_LOG_FILE;
		code = "diag_log format [""Position : %1,%2"",getPosATL player,direction player];";
	};
	class Hint
	{
		description = $STR_FNCT_HINT_DESCR;
		file = $STR_FNCT_HINT_FILE;
		code = "hintSilent format [""%1"",name player];";
	};
	class InformPlayers
	{
		description = "Displays a global message to all players";
		file = "tmf\core\modules\r3f_acv\functions\infos\TYR_FNCT_INFORMPLAYERS.sqf";
		code = "[] call TYR_FNC_INFORMPLAYERS;";
	};
};
class Mission
{
	class VIP
	{
		description = $STR_FNCT_VIP_DESCR;
		file = $STR_FNCT_VIP_FILE;
		code = "[leader GRP] execVM ""tmf\core\modules\r3f_acv\Scripts\SCENE_vip.sqf"";";
	};
	class Evidence
	{
		description = $STR_FNCT_EVIDENCE_DESCR;
		file = $STR_FNCT_EVIDENCE_FILE;
		code = "[OBJ] execVM ""tmf\core\modules\r3f_acv\Scripts\SCENE_evidence.sqf"";";
	};
	class Box_Local
	{
		description = $STR_FNCT_BOXLOCAL_DESCR;
		file = $STR_FNCT_BOXLOCAL_FILE;
		code = "[] call R3F_FNCT_BoxLocal;";
	};
};
class Server_Public
{
	class Unlock_Reserved
	{
		description = $STR_FNCT_GIVE_RESERVED_DESCR;
		file = $STR_FNCT_GIVE_RESERVED_FILE;
		code = "[] call R3F_FNCT_Give_Reserved;";
	};
	class Give_Arty_Log
	{
		description = $STR_FNCT_GIVE_ARTY_LOG_DESCR;
		file = $STR_FNCT_GIVE_ARTY_LOG_FILE;
		code = "[""joueur"",true,true] call R3F_FNCT_Give_Arti_and_Log;";
	};
	class Give_Access
	{
		description = $STR_FNCT_GIVE_ACCESS_DESCR;
		file = $STR_FNCT_GIVE_ACCESS_FILE;
		code = "[""joueur"",""ACV"",true] call R3F_FNCT_Give_Access;";
	};
};
class Commande
{
	class Leader
	{
		description = $STR_FNCT_LEADER_DESCR;
		file = $STR_FNCT_LEADER_FILE;
		code = "_couillu_le_caribou = leader GRP;";
	};
	class Units
	{
		description = $STR_FNCT_UNITS_DESCR;
		file = $STR_FNCT_UNITS_FILE;
		code = "_squad = units GRP;";
	};
	class Vehicle
	{
		description = $STR_FNCT_VEHICLE_DESCR;
		file = $STR_FNCT_VEHICLE_FILE;
		code = "_car = vehicle (leader GRP);";
	};
};
class Interne_BIS
{
	class BIS_Fnc_Help
	{
		description = $STR_FNCT_HELP_DESCR;
		file = $STR_FNCT_HELP_FILE;
		code = "[] call bis_fnc_help;";
	};
	class BIS_Fnc_ConfigViewer
	{
		description = $STR_FNCT_CONFIGV_DESCR;
		file = $STR_FNCT_CONFIGV_FILE;
		code = "[] call BIS_fnc_configviewer;";
	};
};
class Expert
{
	class Broadcast_Server
	{
		description = $STR_FNCT_BROADCAST_SERVER_DESCR;
		file = $STR_FNCT_BROADCAST_SERVER_FILE;
		code = "[] call R3F_FNCT_Broadcast_Server;";
	};
	class Broadcast_Client
	{
		description = $STR_FNCT_BROADCAST_CLIENT_DESCR;
		file = $STR_FNCT_BROADCAST_CLIENT_FILE;
		code = "[] call R3F_FNCT_Broadcast_Client;";
	};
	class Broadcast_One
	{
		description = $STR_FNCT_BROADCAST_ONE_DESCR;
		file = $STR_FNCT_BROADCAST_ONE_FILE;
		code = "[] call R3F_FNCT_Broadcast_One;";
	};
	class Broadcast_ACV
	{
		description = $STR_FNCT_BROADCAST_ACV_DESCR;
		file = $STR_FNCT_BROADCAST_ACV_FILE;
		code = "[] call R3F_FNCT_Broadcast_ACV;";
	};
};
