
/* ACV_FNCT_teleport.sqf
-----------------------------------------------------------------------------
La fonction s'appelle en passant comme paramètres : le joueur/objet à déplacer et la destination.
Cette destination peut être le pseudo d'un joueur, un joueur, un groupe, une position par exemple.

Exemple :
["Clint", getPos (leader GRP2)] call R3F_FNCT_Teleport;
déplace Clint sur la position du leader du groupe GRP2

["Clint", "BeTeP"] call R3F_FNCT_Teleport;
déplace Clint sur la position de BeTeP

["Clint", ACV_PosClick] call R3F_FNCT_Teleport;
déplace Clint sur la position double cliquée sur la carte auparavant

[OBJ1, "BeTeP"] call R3F_FNCT_Teleport;
déplace l'objet OBJ1 vers BeTeP

function R3F_FNCT_Teleport()

@param variant Nom de l'objet ou objet lui même à déplacer
@param variant Position de destination, ou nom de joueur ou objet

@return boolean true si tout est OK sinon false

références  :
http://community.bistudio.com/wiki/getPosATL
http://community.bistudio.com/wiki/typeName
http://community.bistudio.com/wiki/setPosATL
----------------------------------------------------------------------------*/
