//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "tyr_menu\fn_onload.sqf"
#include <core_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

disableSerialization;

private ["_var"];

// Maintain button or toggle
_var = profileNameSpace getVariable [QGVAR(ACTION_BUTTON_TOGGLES),0];
lbclear 1351;
lbAdd [1351,localize "STR_TYR_MENU_DLG_BUTTON_HOLD"];
lbSetData [1351,0,"0"];
lbAdd [1351,localize "STR_TYR_MENU_DLG_BUTTON_TOGGLE"];
lbSetData [1351,1,"1"];
if (_var == 0) then {
	lbSetcurSel [1351,0];
} else {
	lbSetcurSel [1351,1];
};

// Show selected option at the center of the screen
_var = profileNameSpace getVariable [QGVAR(SHOW_SELECTED_OPTION),0];
lbclear 1352;
lbAdd [1352,localize "STR_TYR_MENU_DLG_SHOW_SELECTED"];
lbSetData [1352,0,"0"];
lbAdd [1352,localize "STR_TYR_MENU_DLG_HIDE_SELECTED"];
lbSetData [1352,1,"1"];
if (_var == 0) then {
	lbSetcurSel [1352,0];
} else {
	lbSetcurSel [1352,1];
};

// Show icon AND text for the selected item
_var = profileNameSpace getVariable [QGVAR(ICON_AND_TEXT),0];
lbclear 1353;
lbAdd [1353,localize "STR_TYR_MENU_DLG_ICON_TEXT"];
lbSetData [1353,0,"0"];
lbAdd [1353,localize "STR_TYR_MENU_DLG_ICON_ONLY"];
lbSetData [1353,1,"1"];
if (_var == 0) then {
	lbSetcurSel [1353,0];
} else {
	lbSetcurSel [1353,1];
};
TRACE("End");
TMFPROFILERSTOP;
