//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "tyr_menu\fn_preInit.sqf"
#include <core_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

if (isNil QGVAR(available_items)) then { GVAR(available_items) = []; };
GVAR(displayed_items) = [];
GVAR(is_open) = false;
GVAR(TYR_MENU_LAYER) = -1;
GVAR(MouseChange) = 0;
GVAR(PreviousItem) = -1;
GVAR(SelectedItem) = -1;
GVAR(number_items) = 0;
GVAR(items_offset) = 0;
GVAR(added_items) = [];
GVAR(last_open) = -100;

GVAR(CustomUserMenu)=[[nil,false],["", [0], "", -1, [["expression", ""]], "1", "1"]];
GVAR(CustomUserMenuName)=format["#USER:%1",QGVAR(CustomUserMenu)];;
GVAR(CustomUserMenuOpen)=false;

//GVAR(ColorBackground) = [0.9804, 0.9765, 0.9529, 0.6];
GVAR(ColorBackground) = [0, 0, 0, 0];
GVAR(ColorBackgroundSelected) = [0.7686, 0.5098, 0.0784, 0.6];
GVAR(DefaultIcon) = "tmf\core\modules\tyr_menu\imgs\default.paa";

GVAR(CONFIG_ACTION_BUTTON_TOGGLES) = profileNameSpace getVariable [QGVAR(ACTION_BUTTON_TOGGLES),0];
GVAR(CONFIG_SHOW_SELECTED_OPTION) = profileNameSpace getVariable [QGVAR(SHOW_SELECTED_OPTION),0];
GVAR(CONFIG_ICON_AND_TEXT) = profileNameSpace getVariable [QGVAR(ICON_AND_TEXT),0];

uiNameSpace setVariable [QGVAR(display_ui),displayNull];
GVAR(ButtonUp) = true;

GVAR(SelectedFormat) = "<t valign='bottom'><t align='center'><t shadow='true' size='1.8'>%1</t> <img size='1.8' image='%2'/></t></t>";

GVAR(items_in_menu) = 10;

TRACE("End");
TMFPROFILERSTOP;
