#ifndef CT_STATIC
#define CT_STATIC			0
#endif
#ifndef ST_LEFT
#define ST_LEFT				0
#endif
#ifndef ST_PICTURE
#define ST_PICTURE			48
#endif
#ifndef FontM
#define FontM				"PuristaLight"
#endif

class TYRMENU_Frame : CUI_Frame {
	type = CT_STATIC; 
	style = ST_LEFT; 
	colorBackground[] = {0, 0, 0, 0};
	//colorBackground[] = { 0.9804, 0.9765, 0.9529, 0.6 };
	colortext[] = {0.0431, 0.0431, 0.0431, 0.8};
	colorDisabled[] = {0,0,0,0.1};
	size = 0.028;
	sizeEx = 0.034; 
	w = 0.25;
	h = 0.06;
	text ="";
};
class TYRMENU_IconBg : TYRMENU_Frame {
	w = 0.06;
	h = 0.06;
};

class TYRMENU_Icon : RscPicture {
	type = CT_STATIC; 
	style = ST_PICTURE; 
	colorBackground[] = {0, 0, 0, 0};
	colortext[] = {1, 1, 1, 1};
	w = 0.06;
	h = 0.06;
	sizeEx = 0.032;
	font = FontM;
	text = "";
};

class TYRMENU_RSCTITLE {
	idd = 91650;
	duration = 1000000000; 
	fadein=0;    
	name="tyrmenu";
	controlsBackground[] = { "tyrmenu_bg1","tyrmenu_bg2"
							,"tyrmenu_row1_text","tyrmenu_row1_iconbg","tyrmenu_row1_icon"
							,"tyrmenu_row2_text","tyrmenu_row2_iconbg","tyrmenu_row2_icon"
							,"tyrmenu_row3_text","tyrmenu_row3_iconbg","tyrmenu_row3_icon"
							,"tyrmenu_row4_text","tyrmenu_row4_iconbg","tyrmenu_row4_icon"
							,"tyrmenu_row5_text","tyrmenu_row5_iconbg","tyrmenu_row5_icon"
							,"tyrmenu_row6_text","tyrmenu_row6_iconbg","tyrmenu_row6_icon"
							,"tyrmenu_row7_text","tyrmenu_row7_iconbg","tyrmenu_row7_icon"
							,"tyrmenu_row8_text","tyrmenu_row8_iconbg","tyrmenu_row8_icon"
							,"tyrmenu_row9_text","tyrmenu_row9_iconbg","tyrmenu_row9_icon"
							,"tyrmenu_row10_text","tyrmenu_row10_iconbg","tyrmenu_row10_icon"
							,"tyrmenu_selected","tyrmenu_selected_icon_bg","tyrmenu_selected_icon"};
	onLoad = "uiNamespace setVariable ['TYRMENU_RSCTITLE', _this select 0]; _this spawn TYRMENU_fnc_initUI";
	onunLoad = "uiNamespace setVariable ['TYRMENU_RSCTITLE', nil];";
	controls[] = {};
	
	class tyrmenu_bg1 : CUI_Frame {
		idc = 91651; 
		style = 0; 
		x = (SafeZoneX + 0.028);
		y = (SafeZoneY + 0.196);
		w = 0.314;
		h = 0.608;
		colorBackground[] = { 0, 0, 0, 0.6 };
		colortext[] = { 0,0,0,0 };
		text ="";
	};
	
	class tyrmenu_bg2 : CUI_Frame {
		idc = 91652; 
		style = 0; 
		x = (SafeZoneX + 0.029);
		y = (SafeZoneY + 0.197);
		w = 0.312;
		h = 0.606;
		colorBackground[] = { 0.9804, 0.9765, 0.9529, 0.6 };
		colortext[] = { 0,0,0,0 };
		text ="";
	};
	
	class tyrmenu_row1_text : TYRMENU_Frame {
		idc = 91001; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.20);
	};
		
	class tyrmenu_row1_iconbg : TYRMENU_IconBg {
		idc = 91201; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.20);
	};

	class tyrmenu_row1_icon : TYRMENU_Icon {
		idc = 91101; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.20);
	};

	class tyrmenu_row2_text : TYRMENU_Frame {
		idc = 91002; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.26);
	};
		
	class tyrmenu_row2_iconbg : TYRMENU_IconBg {
		idc = 91202; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.26);
	};

	class tyrmenu_row2_icon : TYRMENU_Icon {
		idc = 91102; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.26);
	};

	class tyrmenu_row3_text : TYRMENU_Frame {
		idc = 91003; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.32);
	};
		
	class tyrmenu_row3_iconbg : TYRMENU_IconBg {
		idc = 91203; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.32);
	};

	class tyrmenu_row3_icon : TYRMENU_Icon {
		idc = 91103; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.32);
	};

	class tyrmenu_row4_text : TYRMENU_Frame {
		idc = 91004; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.38);
	};
		
	class tyrmenu_row4_iconbg : TYRMENU_IconBg {
		idc = 91204; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.38);
	};

	class tyrmenu_row4_icon : TYRMENU_Icon {
		idc = 91104; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.38);
	};

	class tyrmenu_row5_text : TYRMENU_Frame {
		idc = 91005; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.44);
	};
		
	class tyrmenu_row5_iconbg : TYRMENU_IconBg {
		idc = 91205; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.44);
	};

	class tyrmenu_row5_icon : TYRMENU_Icon {
		idc = 91105; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.44);
	};

	class tyrmenu_row6_text : TYRMENU_Frame {
		idc = 91006; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.50);
	};
		
	class tyrmenu_row6_iconbg : TYRMENU_IconBg {
		idc = 91206; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.50);
	};

	class tyrmenu_row6_icon : TYRMENU_Icon {
		idc = 91106; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.50);
	};

	class tyrmenu_row7_text : TYRMENU_Frame {
		idc = 91007; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.56);
	};
		
	class tyrmenu_row7_iconbg : TYRMENU_IconBg {
		idc = 91207; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.56);
	};

	class tyrmenu_row7_icon : TYRMENU_Icon {
		idc = 91107; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.56);
	};

	class tyrmenu_row8_text : TYRMENU_Frame {
		idc = 91008; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.62);
	};
		
	class tyrmenu_row8_iconbg : TYRMENU_IconBg {
		idc = 91208; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.62);
	};

	class tyrmenu_row8_icon : TYRMENU_Icon {
		idc = 91108; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.62);
	};

	class tyrmenu_row9_text : TYRMENU_Frame {
		idc = 91009; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.68);
	};
		
	class tyrmenu_row9_iconbg : TYRMENU_IconBg {
		idc = 91209; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.68);
	};

	class tyrmenu_row9_icon : TYRMENU_Icon {
		idc = 91109; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.68);
	};

	class tyrmenu_row10_text : TYRMENU_Frame {
		idc = 91010; 
		x = (SafeZoneX + 0.03);
		y = (SafeZoneY + 0.74);
	};
		
	class tyrmenu_row10_iconbg : TYRMENU_IconBg {
		idc = 91210; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.74);
	};

	class tyrmenu_row10_icon : TYRMENU_Icon {
		idc = 91110; 
		x = (SafeZoneX + 0.28);
		y = (SafeZoneY + 0.74);
	};

	class tyrmenu_selected : TYRMENU_Frame {
		idc = 91653; 
		type = CT_STRUCTURED_TEXT; 
		style = ST_VCENTER;
		x = (SafeZoneX + safeZoneW / 2 - safeZoneW / 11);
		y = (SafeZoneY + safeZoneH / 2 + safeZoneH / 10);
		w = (safeZoneW / 5.5);
		h = 0.06;
		sizeEx = 0.04; 
		colorBackground[] = { 0,0,0,0 };
		colortext[] = { 0.0431, 0.0431, 0.0431, 0.8 };
		text ="";
	};
		
	class tyrmenu_selected_icon_bg : TYRMENU_Frame {
		idc = 91654; 
		x = (SafeZoneX + safeZoneW / 2 - 0.05);
		y = (SafeZoneY + safeZoneH / 2 + safeZoneH / 10);
		w = 0.1;
		h = 0.1;
		sizeEx = 0.04; 
		colorBackground[] = { 0,0,0,0 };
		colortext[] = { 0.0431, 0.0431, 0.0431, 1 };
		text ="";
	};
		
	class tyrmenu_selected_icon : TYRMENU_Icon {
		idc = 91655; 
		x = (SafeZoneX + safeZoneW / 2 - 0.05);
		y = (SafeZoneY + safeZoneH / 2 + safeZoneH / 10);
		w = 0.1;
		h = 0.1;
		colorBackground[] = { 0,0,0,0 };
		text ="";
	};
};