// 2014-02-01 Tyrghen
//---------------------------------------------
// Usage:
//  [] call edt_fnc_;
//---------------------------------------------
// Purpose:
// 
// 
// Parameters:
// - 
//
// Returns:
// 
//---------------------------------------------
// Objectif:
// 
//
// Paramètres:
// - 
//
// Renvoie:
// 
//---------------------------------------------

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_destroy.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

if (!isServer) exitWith {TRACE("Not Server")};

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_type","_marker","_destroyed_var","_error","_ammo_count","_ammo_type"];
DEFAULT_PARAM(_type,0,"");
DEFAULT_PARAM(_marker,1,"");
DEFAULT_PARAM(_destroyed_var,2,"");
DEFAULT_PARAM(_destroyed_msg,3,ARR_1("STR_TMF_TARGET_DESTROYED"));
DEFAULT_PARAM(_ammo_count,4,2);
DEFAULT_PARAM(_ammo_type,5,[]);

_obj = objNull;
_is_valid = true;

if (AND_ALSO(IS_STRING(_type),(_type == ""))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),(_type isKindOf "Man"))) then {
	_is_valid = false;
};
if (AND_ALSO(IS_STRING(_type),IS_STRING(_marker))) then {
	_is_valid = _is_valid && _marker != "";
};
if (AND_ALSO(IS_STRING(_type),IS_ARRAY(_marker))) then {
	_is_valid = _is_valid && count _marker < 2;
};
if (AND_ALSO(IS_OBJECT(_type),(isnull _type))) then {
	_is_valid = false;
};
if (IS_STRING(_ammo_type)) then {
	if (_ammo_type == "") then {
		_ammo_type = [];
	} else {
		_ammo_type = [_ammo_type];
	};
};
_destroyed_var = _destroyed_var call FFUNC(getStringVar);

if (_is_valid) then {	
	_obj_params = [];
	_obj_params set [TMF_VEH_PARAMS_TYPE, _type];
	_obj_params set [TMF_VEH_PARAMS_POS, _marker];

	_tmf_params = [];
	_tmf_params = [_tmf_params,"DESTROY_MSG",_destroyed_msg] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"SHARED_VAR",_destroyed_var] call FFUNC(hashSet);
	//_tmf_params = [_tmf_params,"SHARED_VAR_VAL",true] call FFUNC(hashSet);
	_tmf_params = [_tmf_params,"AMMO_COUNT",_ammo_count] call FFUNC(hashSet);
	if (count _ammo_type > 0) then {
		_tmf_params = [_tmf_params,"AMMO_TYPES",_ammo_type] call FFUNC(hashSet);
	};
	//_tmf_params = [_tmf_params,"DESTROYED_CODE",""] call FFUNC(hashSet);

	_obj = [_obj_params,"DESTROY",_tmf_params] call FFUNC(CreateMissionObject);
	TRACE_1("End",ARR_3(_obj, typeof _obj, getPos _obj));
} else {
	ERROR("Invalid Parameters");
};
TMFPROFILERSTOP;
_obj