//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_disableExternalAI.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

if (IS_ARRAY(_this)) then {
	{ _x call EFUNC(disableExternalAI);
	} foreach _this;
} else {
	if (IS_GROUP(_this)) then {
		{ _x call EFUNC(disableExternalAI);
		} foreach units _this;
	};
	if (IS_OBJECT(_this) && { !(isNull _this) }) then {
		_this setVariable ["asr_ai_exclude", true];
	};
};

TRACE("End");
TMFPROFILERSTOP;