// 2014-02-01 Tyrghen
//---------------------------------------------
// Usage:
//  [] call edt_fnc_hide;
//---------------------------------------------
// Purpose:
// Moves the object to a position inside a building which corresponds to a "hidden" position.
// The position will then be chosen randomly.
// 
// Parameters:
// - The object to move
//
// Returns:
// The position of the object after it was moved
//---------------------------------------------
// Objectif:
// Déplace un objet sur une position à l'intérieur d'un bâtiment qui corresponde à une position "cachée".
// La position sera choisie aléatoirement.
//
// Paramètres:
// - L'objet à déplacer
//
// Renvoie:
// La position de l'objet après qu'il soit déplacé
//---------------------------------------------

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "editor\fn_hide.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

_this call FFUNC(hide);