//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "fn_PreInit.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TLOG("PreInit Started");
if (isNil QGVAR(initialized)) then { GVAR(initialized) = false; };

// This is a special case, we don't want to have the regular format "tmf_fnc_execHC" for simplicity.
execHC = compileFinal preprocessFileLineNumbers "tmf\mission\functions\special\fn_execHC.sqf";

GVAR(INIT) = false;
GVAR(SERVER) = false;
GVAR(CLIENT) = false;
GVAR(JIP) = false;
GVAR(SPE) = false;
GVAR(MP) = isMultiplayer;
GVAR(LOADED) = false;
GVAR(PLAYER_INIT) = false;

GVAR(ISLAND_SIZE) = getNumber(configFile/"CfgWorlds"/worldName/"mapSize");
GVAR(ISLAND_CENTER) = [GVAR(ISLAND_SIZE) / 2, GVAR(ISLAND_SIZE) / 2, 0];

GVAR(placed_objs_store) = objNull;
GVAR(STORING_OBJECT)=-1;

GVAR(STUCK_UNITS) = [];

INIT_DEBUG(0);