/// Used to store mission parameters, default values, etc. to avoid spamming with global variables.

//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "tools\fn_setFrameworkValue.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

private ["_name","_value","_framework_values"];
DEFAULT_PARAM(_name,0,"");
DEFAULT_PARAM(_value,1,nil);

if (_name != "") then {
	_framework_values = OGETVAR(GVAR(mission_store),TMF_HK_GLOBAL_VALUE,(call FFUNC(hashEmpty)));
	_framework_values = [_framework_values,_name,_value] call FFUNC(hashSet);
	OSETVAR(GVAR(mission_store),TMF_HK_GLOBAL_VALUE,_framework_values);
};

TRACE("End");
TMFPROFILERSTOP;
