//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "management\fn_loadTasks.sqf"
#include <tmf_constants.h>
#include <tmf_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;
private ["_instances","_jip_instance","_jip_tasks","_x","_instance","_task_params","_loaded"];

_loaded = 0;
_instances = JIPGETVAR(QGVAR(MISSION_INSTANCES),[]);
TRACE_1("Instances",_instances);
{
	_instance = _x;
	_jip_instance = [_instance] call FFUNC(getMissionInstance);
	_jip_tasks = [_jip_instance, TMF_HK_MISSION_TASKS,[],THIS_FILE] call FFUNC(hashGet);
	TRACE_1("Tasks",_jip_tasks);
	{
		_task_params = _x select 1;
		TRACE_1("Adding Task",_task_params);
		[_task_params,_instance,true] spawn FFUNC(updateTask);
		INC(_loaded);
	} foreach _jip_tasks;
} foreach _instances;

INFO_1("End",_loaded);
TMFPROFILERSTOP;
