//#define __FORCE_TRACE__
#include <modules\modules.hpp>

#ifndef execNow
#define execNow call compile preprocessfilelinenumbers
#endif

#ifdef BTC_REVIVE
"BTC Revive" call mso_core_fnc_initStat;
execNow "tmf\support\modules\btc_revive\=BTC=_revive_init.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"BTC Revive initialized"];
#endif

#ifdef FSF_CHESTBAG
"FSF Chest Bag" call mso_core_fnc_initStat;
execNow "tmf\support\modules\fsf_chestbag\FSFSV_Init.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"FSF Chest Bag initialized"];
#endif

#ifdef RMM_CAS
"Close Air Support" call mso_core_fnc_initStat;
execNow "tmf\support\modules\rmm_cas\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Close Air Support initialized"];
#endif

#ifdef RMM_CASEVAC
"CASEVAC" call mso_core_fnc_initStat;
execNow "tmf\support\modules\rmm_casevac\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"CASEVAC initialized"];
#endif

#ifdef RMM_JIPMARKERS
"JIP Markers" call mso_core_fnc_initStat;
execNow "tmf\support\modules\rmm_jipmarkers\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"JIP Markers initialized"];
#endif

#ifdef RMM_TASKS
"JIP Tasks" call mso_core_fnc_initStat;
execNow "tmf\support\modules\rmm_tasks\main.sqf";	
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"JIP Tasks initialized"];
#endif

#ifdef CREWINFO
if(isNil "EnableCrewinfo") then {enablecrewinfo = 1;};
if (enablecrewinfo == 1) then {
	"Crew Info" call mso_core_fnc_initStat;
	fnc_crewInfo = compile preprocessfilelinenumbers "tmf\support\modules\crewinfo\main.sqf";
	crewStatus = [] spawn fnc_crewInfo;
};
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Crew Info initialized"];
#endif

#ifdef PXS_SATCOM_OA
"PXS SATCOMs" call mso_core_fnc_initStat;
["ON"] execVM "tmf\support\modules\pxs_satcom_oa\init_satellite.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"PXS SATCOMs initialized"];
#endif

#ifdef HELILIFT
[] execVM "tmf\support\modules\helilift\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Helilift initialized"];
#endif

#ifdef TYR_FLIPPABLE
"Flippable Vehicles" call mso_core_fnc_initStat;
execNow "tmf\support\modules\tyr_flippable\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Flippable Vehicles initialized"];
#endif

#ifdef TYR_AIRDROP
"Tyrghen Air Drop" call mso_core_fnc_initStat;
execNow "tmf\support\modules\tyr_airdrop\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Air Drop initialized"];
#endif

#ifdef TONIC_VAS
"Tonic Virtual Ammobox System" call mso_core_fnc_initStat;
execNow "tmf\support\modules\tonic_vas\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Tonic VAS initialized"];
#endif

#ifdef JUMP
"Jump" call mso_core_fnc_initStat;
execNow "tmf\support\modules\jump\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Jump initialized"];
#endif

#ifdef HELMETCAM
"Helmet Camera" call mso_core_fnc_initStat;
execNow "tmf\support\modules\hcam\inithcam.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Helmet Cam initialized"];
#endif

#ifdef R3F_ARTYLOG
"R3F Arty & Log" call mso_core_fnc_initStat;
execNow "tmf\support\modules\r3f_artylog\init.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"R3F Arty & log initialized"];
#endif

#ifdef AISUPPRESS
"AI Suppression" call mso_core_fnc_initStat;
execNow "tmf\support\modules\aisuppress\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"AI Suppress initialized"];
#endif

#ifdef MAG_REPACK
if (!isDedicated) then {
"Mag Repack" call mso_core_fnc_initStat;
execNow "tmf\support\modules\outlw_magrepack\main.sqf";
};
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Mag Repack initialized"];
#endif

#ifdef TAO_FOLDMAP
"Tao Foldmap A3" call mso_core_fnc_initStat;
execNow "tmf\support\modules\tao_foldmap\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Tao foldmap initialized"];
#endif

#ifdef TYR_ARTILLERY
"Tyrghen Artillery" call mso_core_fnc_initStat;
execNow "tmf\support\modules\tyr_artillery\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Artillery initialized"];
#endif

#ifdef TYR_REPAIR
"Tyrghen Repairs" call mso_core_fnc_initStat;
execNow "tmf\support\modules\tyr_repair\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Repair initialized"];
#endif

#ifdef TYR_DRONES
"Tyrghen Drones" call mso_core_fnc_initStat;
execNow "tmf\support\modules\tyr_drones\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Drones initialized"];
#endif

#ifdef NORRN_CONVOY
"Norrin Convoy" call mso_core_fnc_initStat;
execNow "tmf\support\modules\convoy\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Nornn Convoy initialized"];
#endif

#ifdef IP_CONV
"IndeedPete Conversations" call mso_core_fnc_initStat;
execNow "tmf\support\modules\ip_conv\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"IndeedPete Conv initialized"];
#endif

#ifdef X_SCRIPTS
"Xeno Scripts" call mso_core_fnc_initStat;
execNow "tmf\support\modules\x_scripts\main.sqf";
#endif
#ifdef __FORCE_TRACE__
diag_log ["MSO",time,"Xeno scripts initialized"];
#endif
