//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "fn_config.sqf"
#include <functions\btc_macros.h>
TRACE("Start");

if(isNil "BTC_r_new_system") 		then { BTC_r_new_system    = 0;}; //WIP - set 1 to activate it
if(isNil "BTC_r_wait_for_revive") 	then { BTC_r_wait_for_revive = 1;};//If BTC_r_new_system set to 1 you can choose if you want or not a revive time available after death (Similar to wounding system in ACE)
if(isNil "BTC_r_action") 			then { BTC_r_action        = 1;};//[NOT IMPLEMENTED] - 0 if you don't want the healing animation (ACE style), 1 if you want the animations (You can't stop the animation)
if(isNil "BTC_r_med_fa") 			then { BTC_r_med_fa        = 1;};//0 for only first aid kit, 1 if you don't have a medikit you need a first aid kit, 2 only medikit
if(isNil "BTC_r_cpr_time") 			then { BTC_r_cpr_time      = 60;};
if(isNil "BTC_r_trans_ratio") 		then { BTC_r_trans_ratio   = 100;};
if(isNil "BTC_revive_time_min") 	then { BTC_revive_time_min = 5;};
if(isNil "BTC_revive_time_max") 	then { BTC_revive_time_max = 1800;};
if(isNil "BTC_who_can_revive") 		then { BTC_who_can_revive  = ["Man"];};
if(isNil "BTC_loop_check") 			then { BTC_loop_check      = 0;};
if(isNil "BTC_disable_respawn") 	then { BTC_disable_respawn = 0;};
if(isNil "BTC_respawn_gear") 		then { BTC_respawn_gear    = 1;};
if(isNil "BTC_gear_on_death") 		then { BTC_gear_on_death	= 0;};
if(isNil "BTC_active_lifes") 		then { BTC_active_lifes    = 0;};  // If set to 1, the number of lifes are limited
if(isNil "BTC_lifes") 				then { BTC_lifes           = 10;}; // The number of available lifes
if(isNil "BTC_spectating") 			then { BTC_spectating      = 1;};//0 = disable; 1 = units group; 2 = side units; 3 = all units
if(isNil "BTC_spectating_view") 	then { BTC_spectating_view = [1,1];};//To force a view set the first number of the array to 1. The second one is the view mode: 0 = first person; 1 = behind the back; 2 = High; 3 = free
if(isNil "BTC_s_mode_view") 		then { BTC_s_mode_view     = ["First person","Behind the back","High","Free"];};
if(isNil "BTC_black_screen") 		then { BTC_black_screen    = 0;};//Black screen + button while unconscious or action wheel and clear view
if(isNil "BTC_action_respawn") 		then { BTC_action_respawn  = 0;};//if black screen is set to 0 you can choose if you want to use the action wheel or the button. Keep in mind that if you don't use the button, the injured player can use all the action, frag too....
if(isNil "BTC_camera_unc") 			then { BTC_camera_unc      = 1;};
if(isNil "BTC_camera_unc_type") 	then { BTC_camera_unc_type = ["Behind the back","High"];}; // ["Behind the back","High","Free"];
if(isNil "BTC_respawn_time") 		then { BTC_respawn_time    = 0;};
if(isNil "BTC_active_mobile") 		then { BTC_active_mobile   = 1;};//Active mobile respawn (You have to put in map the vehicle and give it a name. Then you have to add one object per side to move to the mobile (BTC_base_flag_west,BTC_base_flag_east) - (1 = yes, 0 = no))
if(isNil "BTC_mobile_teleport") 	then { BTC_mobile_teleport	= 1;}; // Set to 1 if you want the option to teleport from the MHQ
if(isNil "BTC_mobile_ammo") 		then { BTC_mobile_ammo	= 1;}; // Set to 1 if you want to be able to load/drop ammo boxes
if(isNil "BTC_mobile_ammo_list") 	then { BTC_mobile_ammo_list	= [];}; // Give a list of weapons, ammo or items in the form: ["Class",Quantity];
if(isNil "BTC_mobile_heal") 		then { BTC_mobile_heal	= 0;};
if(isNil "BTC_mobile_respawn") 		then { BTC_mobile_respawn  = 1;};//Active the mobile respawn fnc (1 = yes, 0 = no)
if(isNil "BTC_mobile_respawn_time") then { BTC_mobile_respawn_time = 30;};//Secs delay for mobile vehicle to respawn
if(isNil "BTC_mobile_respawn_on_place") then { BTC_mobile_respawn_on_place = 0;};//whether the vehicle respawn at the initial location or on place
if(isNil "BTC_need_first_aid") 		then { BTC_need_first_aid = 1;};//You need a first aid kit (or medikit) to revive (1 = yes, 0 = no)
if(isNil "BTC_pvp") 				then { BTC_pvp = 0;}; //(disable the revive option for the enemy)
if(isNil "BTC_injured_marker") 		then { BTC_injured_marker = 1;};
if(isNil "BTC_3d_can_see") 			then { BTC_3d_can_see     = ["Man"];};
if(isNil "BTC_3d_distance") 		then { BTC_3d_distance    = 30;};
if(isNil "BTC_3d_icon_size") 		then { BTC_3d_icon_size   = 0.5;};
if(isNil "BTC_3d_icon_color") 		then { BTC_3d_icon_color  = [1,0,0,1];};
if(isNil "BTC_dlg_on_respawn") 		then { BTC_dlg_on_respawn = 2;};//1 = Mobile only - 2 Leader group and mobile - 3 = Units group and mobile - 4 = All side units and mobile
if(isNil "BTC_objects_actions_west") then { BTC_objects_actions_west = [];};
if(isNil "BTC_objects_actions_east") then { BTC_objects_actions_east = [];};
if(isNil "BTC_objects_actions_guer") then { BTC_objects_actions_guer = [];};
if(isNil "BTC_objects_actions_civ") then { BTC_objects_actions_civ  = [];};
if (isServer) then
{
	BTC_vehs_mobile_west = [];//Editable - define mobile west
	BTC_vehs_mobile_east = [];//Editable - define mobile east
	BTC_vehs_mobile_guer = [];//Editable - define mobile independent
	BTC_vehs_mobile_civ  = [];//Editable - define mobile civilian
};

if(isNil "BTC_Vehicle_MarkerType") 			then { BTC_Vehicle_MarkerType = "mil_dot";};
if(isNil "BTC_Vehicle_MarkerTypeMove") 		then { BTC_Vehicle_MarkerTypeMove = "mil_triangle";};
if(isNil "BTC_Vehicle_MarkerTypeDestroy") 	then { BTC_Vehicle_MarkerTypeDestroy = "mil_objective";};

if(isNil "BTC_Ammo_Box_Type") 				then { BTC_Ammo_Box_Type = "Box_NATO_Wps_F";};
// Box Types which can eventually be loaded by a BTC Vehicle.
if(isNil "BTC_Ammo_Box_TypeList") 			then { BTC_Ammo_Box_TypeList = ["ReammoBox_F"];};