/*
Name: removeConversation
Author: IndeedPete
Purpose: Removes conversation from unit, i.e. removes action to start the conversation.
----------
Parameters:
_unit - OBJECT: Unit that the action should be removed from. - MyInterestingConversationPartner
_conversation - STRING: The config entry referring to the desired conversation. - "MyFirstConversation"
*/
private ["_unit","_conversation","_var","_id"];

_unit = [_this, 0, objNull, [objNull]] call BIS_fnc_param;
_conversation = [_this, 1, "", [""]] call BIS_fnc_param;

_var = "IP_CONV_" + _conversation;
_id = _unit getVariable [_var, -1];

if (_id >= 0) then {
	_unit removeAction _id;
	_unit setVariable [_var, nil];
};