/**
 * English and French comments
 * This file adds the "Arma3" objects in the configuration variables of the logistics system.
 * Important note : All the classes names which inherits from the ones used in configuration variables will be also available.
 */

/*
//master list

"B_Mk6",
"O_Mk6",
"I_G_Mk6",
//"B_Mk6Mortar_Support",
//"B_Mk6Mortar_Wpn",

"c_offroad",
"B_Quadbike_F",
"B_Hunter_F",
"B_Hunter_HMG_F",
"B_Hunter_RCWS_F",

"O_Galkin_F",
"O_Galkin_GMG_F",
"O_Galkin_MG_F",

"O_Ifrit_F",
"O_Ifrit_GMG_F",
"O_Ifrit_MG_F",

"B_Lifeboat",
"B_SpeedBoat",
"B_Assaultboat",
"O_SpeedBoat",
"O_assaultboat",

"B_MH9_F",
"C_M900_F",
"B_AH9_F",
"B_RH9_F",
"O_Ka60_Unarmed_F",
"O_Ka60_F",

"Box_NATO_Wps_F",
"Box_East_Wps_F",
"Box_NATO_WpsSpecial_F",
"Box_NATO_AmmoOrd_F",
"B_supplyCrate_F",

"Land_Bricks_V1_F",
"Land_CncBarrier_F",
"Land_Cargo_HQ_V2_F",
"Land_Cargo_HQ_V1_F",
"Land_Cargo_Patrol_V2_F",
"Land_Cargo_Patrol_V1_F",
"Land_Cargo_House_V2_F",
"Land_Cargo_House_V1_F",
"Land_Razorwire_F",
"Land_Cargo20_military_F",
"Land_Cargo40_military_F",

*/


/****** TOW WITH VEHICLE / REMORQUER AVEC VEHICULE ******/
/**
 * List of class names of vehicles which can tow towable objects.
 */
R3F_LOG_CFG_remorqueurs = R3F_LOG_CFG_remorqueurs +
[
	"B_APC_Wheeled_01_cannon_F",
	"O_APC_Wheeled_02_rcws_F",
	"I_APC_Wheeled_03_cannon_F",
	"B_Truck_01_transport_F",
	"B_Truck_01_covered_F",
	"B_Truck_01_box_F",
	"B_Truck_01_Repair_F",
	"B_Truck_01_ammo_F",
	"B_Truck_01_fuel_F",
	"B_Truck_01_mover_F",
	"B_Truck_01_medical_F",
	"O_Truck_02_covered_F",
	"O_Truck_02_transport_F",
	"I_Truck_02_covered_F",
	"I_Truck_02_transport_F",
	"O_Truck_02_box_F",
	"O_Truck_02_medical_F",
	"O_Truck_02_Ammo_F",
	"O_Truck_02_fuel_F",
	"I_Truck_02_ammo_F",
	"I_Truck_02_box_F",
	"I_Truck_02_medical_F",
	"I_Truck_02_fuel_F",
	"C_Van_01_transport_F",
	"C_Van_01_box_F",
	"I_G_Van_01_transport_F",
	"B_G_Van_01_transport_F",
	"O_G_Van_01_transport_F",
	"B_MRAP_01_F",
	"B_MRAP_01_gmg_F",
	"B_MRAP_01_hmg_F",
	"I_MRAP_03_F",
	"I_MRAP_03_hmg_F",
	"I_MRAP_03_gmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_hmg_F",
	"O_MRAP_02_gmg_F",
	""
];
/**
 * List of class names of towable objects.
 */
R3F_LOG_CFG_objets_remorquables = R3F_LOG_CFG_objets_remorquables +
[
	"B_MRAP_01_F",
	"B_MRAP_01_gmg_F",
	"B_MRAP_01_hmg_F",
	"I_MRAP_03_F",
	"I_MRAP_03_hmg_F",
	"I_MRAP_03_gmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_hmg_F",
	"O_MRAP_02_gmg_F",
	"C_Hatchback_01_F",
	"C_Hatchback_01_sport_F",
	"C_SUV_01_F",
	"C_Offroad_01_F",
	"I_G_Offroad_01_armed_F",
	"B_G_Offroad_01_armed_F",
	"O_G_Offroad_01_armed_F",
	"I_G_Offroad_01_F",
	"B_G_Offroad_01_F",
	"O_G_Offroad_01_F",
	"O_Boat_Armed_01_hmg_F",
	"B_Boat_Armed_01_minigun_F",
	"I_Boat_Armed_01_minigun_F",
	"B_Boat_Transport_01_F",
	"O_Boat_Transport_01_F",
	"B_Lifeboat",
	"O_Lifeboat",
	"C_Rubberboat",
	"I_G_Boat_Transport_01_F",
	"B_G_Boat_Transport_01_F",
	"O_G_Boat_Transport_01_F",
	"Land_Cargo20_military_F",
	"Land_Cargo40_military_F",
	""
];

/****** LIFT WITH VEHICLE / HELIPORTER AVEC VEHICULE ******/

/**
 * List of class names of air vehicles which can lift liftable objects.
 */

R3F_LOG_CFG_heliporteurs = R3F_LOG_CFG_heliporteurs +
[
	"B_Heli_Transport_01_F",
	"B_Heli_Transport_01_camo_F",
	"O_Heli_Light_02_unarmed_F",
	"O_Heli_Light_02_F",
	"I_Heli_Transport_02_F",
	"O_Heli_Attack_02_black_F",
	"O_Heli_Attack_02_F",
	""
];

/**
 * List of class names of liftable objects.
 */

R3F_LOG_CFG_objets_heliportables = R3F_LOG_CFG_objets_heliportables +
[
	// Vehicles
	"B_APC_Wheeled_01_cannon_F",
	"O_APC_Wheeled_02_rcws_F",
	"I_APC_Wheeled_03_cannon_F",
	"B_MRAP_01_F",
	"B_MRAP_01_gmg_F",
	"B_MRAP_01_hmg_F",
	"I_MRAP_03_F",
	"I_MRAP_03_hmg_F",
	"I_MRAP_03_gmg_F",
	"O_MRAP_02_F",
	"O_MRAP_02_hmg_F",
	"O_MRAP_02_gmg_F",
	"C_Van_01_transport_F",
	"I_G_Van_01_transport_F",
	"B_G_Van_01_transport_F",
	"O_G_Van_01_transport_F",
	"C_Van_01_box_F",
	"C_Van_01_fuel_F",
	"I_G_Van_01_fuel_F",
	"B_G_Van_01_fuel_F",
	"O_G_Van_01_fuel_F",
	"C_Hatchback_01_F",
	"C_Hatchback_01_sport_F",
	"C_SUV_01_F",
	"C_Offroad_01_F",
	"I_G_Offroad_01_armed_F",
	"B_G_Offroad_01_armed_F",
	"O_G_Offroad_01_armed_F",
	"I_G_Offroad_01_F",
	"B_G_Offroad_01_F",
	"O_G_Offroad_01_F",
	"O_Boat_Armed_01_hmg_F",
	"B_Boat_Armed_01_minigun_F",
	"I_Boat_Armed_01_minigun_F",
	"B_Boat_Transport_01_F",
	"O_Boat_Transport_01_F",
	"B_Lifeboat",
	"O_Lifeboat",
	"C_Rubberboat",
	"I_G_Boat_Transport_01_F",
	"B_G_Boat_Transport_01_F",
	"O_G_Boat_Transport_01_F",
	// Objects
	"Land_Cargo20_blue_F",
	"Land_Cargo20_brick_red_F",
	"Land_Cargo20_cyan_F",
	"Land_Cargo20_grey_F",
	"Land_Cargo20_light_blue_F",
	"Land_Cargo20_light_green_F",
	"Land_Cargo20_military_green_F",
	"Land_Cargo20_orange_F",
	"Land_Cargo20_red_F",
	"Land_Cargo20_sand_F",
	"Land_Cargo20_white_F",
	"Land_Cargo20_yellow_F",
	"Land_Cargo40_blue_F",
	"Land_Cargo40_brick_red_F",
	"Land_Cargo40_cyan_F",
	"Land_Cargo40_grey_F",
	"Land_Cargo40_light_blue_F",
	"Land_Cargo40_light_green_F",
	"Land_Cargo40_military_green_F",
	"Land_Cargo40_orange_F",
	"Land_Cargo40_red_F",
	"Land_Cargo40_sand_F",
	"Land_Cargo40_white_F",
	"Land_Cargo40_yellow_F",
	""
];

/****** LOAD IN VEHICLE / CHARGER DANS LE VEHICULE ******/
/*
 * This section use a quantification of the volume and/or weight of the objets.
 * The arbitrary referencial used is : an ammo box of type USSpecialWeaponsBox "weights" 5 units.
 * Note : the priority of a declaration of capacity to another corresponds to their order in the tables.
 *   For example : the "Truck" class is in the "Car" class (see http://community.bistudio.com/wiki/ArmA_2:_CfgVehicles).
 *   If "Truck" is declared with a capacity of 140 before "Car". And if "Car" is declared after "Truck" with a capacity of 40,
 *   Then all the sub-classes in "Truck" will have a capacity of 140. And all the sub-classes of "Car", excepted the ones
 *   in "Truck", will have a capacity of 40.
 */

/**
 * List of class names of (ground or air) vehicles which can transport transportable objects.
 * The second element of the arrays is the load capacity (in relation with the capacity cost of the objects).
 */
R3F_LOG_CFG_transporteurs = R3F_LOG_CFG_transporteurs +
[
	// Vehicles
	["B_MRAP_01_F", 25],
	["B_MRAP_01_gmg_F", 15],
	["B_MRAP_01_hmg_F", 15],
	["B_Truck_01_mover_F", 100],
	["B_Truck_01_box_F", 100],
	["B_Truck_01_covered_F", 100],
	["B_Truck_01_transport_F", 100],
	["B_Quadbike_01_F", 5],
	["C_Quadbike_01_F", 5],
	["I_Quadbike_01_F", 5],
	["O_Quadbike_01_F", 5],
	["B_G_Quadbike_01_F", 5],
	["C_Van_01_transport_F", 15],
	["B_G_Van_01_transport_F", 15],
	["C_Van_01_box_F", 15],
	["O_MRAP_02_F", 25],
	["O_MRAP_02_gmg_F", 15],
	["O_MRAP_02_hmg_F", 15],
	["I_MRAP_03_F", 25],
	["I_MRAP_03_gmg_F", 15],
	["I_MRAP_03_hmg_F", 15],
	["C_SUV_01_F", 10],
	["C_Offroad_01_F", 25],
	["B_G_Offroad_01_F", 25],
	["B_G_Offroad_01_armed_F", 15],
	["I_Truck_02_transport_F", 100],
	["O_Truck_02_transport_F", 100],
	["I_Truck_02_covered_F", 100],
	["O_Truck_02_covered_F", 100],
	["C_Hatchback_01_F", 5],
	["C_Hatchback_01_sport_F", 5],
	["B_Heli_Attack_01_F", 25],
	["I_Heli_Transport_02_F", 60],
	["B_Heli_Light_01_F", 25],
	["O_Heli_Attack_02_F", 25],
	["O_Heli_Attack_02_black_F", 25],
	["O_Heli_Light_02_F", 25],
	["O_Heli_Light_02_unarmed_F", 25],
	["B_Heli_Transport_01_F", 25],
	["B_Heli_Transport_01_camo_F", 25],
	["I_Heli_light_03_F", 25],
	["I_Heli_light_03_unarmed_F", 25],
	["B_Heli_Light_01_armed_F", 25],
	// Small Cargo boxes
	["Land_Cargo20_blue_F", 70],
	["Land_Cargo20_brick_red_F", 70],
	["Land_Cargo20_cyan_F", 70],
	["Land_Cargo20_grey_F", 70],
	["Land_Cargo20_light_blue_F", 70],
	["Land_Cargo20_light_green_F", 70],
	["Land_Cargo20_military_green_F", 70],
	["Land_Cargo20_orange_F", 70],
	["Land_Cargo20_red_F", 70],
	["Land_Cargo20_sand_F", 70],
	["Land_Cargo20_white_F", 70],
	["Land_Cargo20_yellow_F", 70],
	// Large cargo boxes
	["Land_Cargo40_blue_F", 100],
	["Land_Cargo40_brick_red_F", 100],
	["Land_Cargo40_cyan_F", 100],
	["Land_Cargo40_grey_F", 100],
	["Land_Cargo40_light_blue_F", 100],
	["Land_Cargo40_light_green_F", 100],
	["Land_Cargo40_military_green_F", 100],
	["Land_Cargo40_orange_F", 100],
	["Land_Cargo40_red_F", 100],
	["Land_Cargo40_sand_F", 100],
	["Land_Cargo40_white_F", 100],
	["Land_Cargo40_yellow_F", 100],
	
	["", 0]
];
/**
 * List of class names of transportable objects.
 * The second element of the arrays is the cost capacity (in relation with the capacity of the vehicles).
 * 
 */
R3F_LOG_CFG_objets_transportables = R3F_LOG_CFG_objets_transportables +
[
["O_supplyCrate_F", 25],
["B_supplyCrate_F", 25],
["Box_NATO_Support_F", 15],
["Box_NATO_WpsSpecial_F", 15],
["Box_NATO_Wps_F", 15],
["Box_NATO_Grenades_F", 15],
["Box_NATO_AmmoOrd_F", 15],
["Box_NATO_Ammo_F", 15],
["Box_IND_Support_F", 15],
["Box_East_Support_F", 15],
["Box_IND_Wps_F", 15],
["Box_East_Wps_F", 15],
["Box_IND_WpsSpecial_F", 15],
["Box_East_WpsSpecial_F", 15],
["R3F_AccBox", 15],
["I_supplyCrate_F", 25],
["C_supplyCrate_F", 25],
["IG_supplyCrate_F", 25],
["R3F_WeaponBox", 15],
["Box_IND_AmmoOrd_F", 15],
["Box_East_AmmoOrd_F", 15],
["Box_IND_Grenades_F", 15],
["Box_East_Grenades_F", 15],
["Box_IND_WpsLaunch_F", 15],
["Box_East_WpsLaunch_F", 15],
["Box_NATO_WpsLaunch_F", 15],
["Box_IND_Ammo_F", 15],
["Box_East_Ammo_F", 15],
["Box_NATO_AmmoVeh_F", 15],
["Box_IND_AmmoVeh_F", 15],
["Box_East_AmmoVeh_F", 15],
["Box_mas_us_rifle_Wps_F", 15],
["Box_mas_all_rifle_Wps_F", 15],
["Box_mas_ru_rifle_Wps_F", 15],
["R3F_WeaponStock", 25],
["Land_PaperBox_closed_F", 25],
["Land_PaperBox_open_full_F", 25],
["Land_PaperBox_open_empty_F", 25],
["Land_Pallet_MilBoxes_F", 25],
["Land_ScrapHeap_1_F", 25],
["B_Mortar_01_F", 15],
["O_Mortar_01_F", 15],
["I_Mortar_01_F", 15],
["I_G_Mortar_01_F", 15],
["B_G_Mortar_01_F", 15],
["O_G_Mortar_01_F", 15],
["B_HMG_01_F", 15],
["O_HMG_01_F", 15],
["I_HMG_01_F", 15],
["B_HMG_01_high_F", 15],
["O_HMG_01_high_F", 15],
["I_HMG_01_high_F", 15],
["B_HMG_01_A_F", 15],
["O_HMG_01_A_F", 15],
["I_HMG_01_A_F", 15],
["B_static_AA_F", 15],
["O_static_AA_F", 15],
["I_static_AA_F", 15],
["B_static_AT_F", 15],
["O_static_AT_F", 15],
["I_static_AT_F", 15],
["", 0]
];

/****** MOVABLE-BY-PLAYER OBJECTS / OBJETS DEPLACABLES PAR LE JOUEUR ******/

/**
 * List of class names of objects moveable by player.
 */
R3F_LOG_CFG_objets_deplacables = R3F_LOG_CFG_objets_deplacables +
[
"O_supplyCrate_F",
"B_supplyCrate_F",
"Box_NATO_Support_F",
"Box_NATO_WpsSpecial_F",
"Box_NATO_Wps_F",
"Box_NATO_Grenades_F",
"Box_NATO_AmmoOrd_F",
"Box_NATO_Ammo_F",
"Box_IND_Support_F",
"Box_East_Support_F",
"Box_IND_Wps_F",
"Box_East_Wps_F",
"Box_IND_WpsSpecial_F",
"Box_East_WpsSpecial_F",
"R3F_AccBox",
"I_supplyCrate_F",
"C_supplyCrate_F",
"IG_supplyCrate_F",
"R3F_WeaponBox",
"Box_IND_AmmoOrd_F",
"Box_East_AmmoOrd_F",
"Box_IND_Grenades_F",
"Box_East_Grenades_F",
"Box_IND_WpsLaunch_F",
"Box_East_WpsLaunch_F",
"Box_NATO_WpsLaunch_F",
"Box_IND_Ammo_F",
"Box_East_Ammo_F",
"Box_NATO_AmmoVeh_F",
"Box_IND_AmmoVeh_F",
"Box_East_AmmoVeh_F",
"Box_mas_us_rifle_Wps_F",
"Box_mas_all_rifle_Wps_F",
"Box_mas_ru_rifle_Wps_F",
"R3F_WeaponStock",
"Land_PaperBox_closed_F",
"Land_PaperBox_open_full_F",
"Land_PaperBox_open_empty_F",
"Land_Pallet_MilBoxes_F",
"Land_ScrapHeap_1_F",
"B_Mortar_01_F",
"O_Mortar_01_F",
"I_Mortar_01_F",
"I_G_Mortar_01_F",
"B_G_Mortar_01_F",
"O_G_Mortar_01_F",
"B_HMG_01_F",
"O_HMG_01_F",
"I_HMG_01_F",
"B_HMG_01_high_F",
"O_HMG_01_high_F",
"I_HMG_01_high_F",
"B_HMG_01_A_F",
"O_HMG_01_A_F",
"I_HMG_01_A_F",
"B_static_AA_F",
"O_static_AA_F",
"I_static_AA_F",
"B_static_AT_F",
"O_static_AT_F",
"I_static_AT_F",
""
];