/**
 * Recherche priodiquement les nouveaux objets pour leur ajouter les fonctionnalits d'artillerie et de logistique si besoin
 * Script  faire tourner dans un fil d'excution ddi
 * Version allge pour un serveur ddi uniquement
 * 
 * Copyright (C) 2010 madbull ~R3F~
 * 
 * This program is free software under the terms of the GNU General Public License version 3.
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "R3F_ARTY_disable_enable.sqf"

// A l'heure actuelle ce fil d'excution n'est utile que si l'artillerie est active
#ifdef R3F_ARTY_enable

// Attente fin briefing
sleep 0.1;

private ["_liste_vehicules_connus", "_liste_vehicules", "_count_liste_vehicules", "_i", "_objet"];

// Contiendra la liste des vhicules (et objets) dj initialiss
_liste_vehicules_connus = [];

while {true} do
{
	// Rcupration des tout les nouveaux vhicules de la carte SAUF les objets drivant de "Static" non rcuprable par "vehicles"
	_liste_vehicules = vehicles - _liste_vehicules_connus;
	_count_liste_vehicules = count _liste_vehicules;
	
	if (_count_liste_vehicules > 0) then
	{
		// On parcoure tout les vhicules prsents dans le jeu en 18 secondes
		for "_i" from 0 to ((count _count_liste_vehicules) - 1) step 1 do
		{
			_objet = _liste_vehicules select _i;
			
			//#ifdef R3F_ARTY_enable // Dj prsent plus haut dans la version actuelle
			// Si l'objet est un pice d'artillerie d'un type  grer
			if ({_objet isKindOf _x} count R3F_ARTY_CFG_pieces_artillerie > 0) then
			{
				[_objet] spawn R3F_ARTY_FNCT_piece_init_dedie;
			};
			//#endif
			
			sleep (18/_count_liste_vehicules);
		};
		
		// Les objets ont t initialiss, on les mmorise pour ne plus les r-initialiser
		_liste_vehicules_connus = _liste_vehicules_connus + _liste_vehicules;
	}
	else
	{
		sleep 18;
	};
};

#endif