if (isdedicated || !hasInterface) exitwith {};

RMM_jipmarkers_types = [
	"mil_objective",
	"mil_marker",
	"mil_flag",
	"mil_ambush",
	"mil_destroy",
	"mil_start",
	"mil_end",
	"mil_pickup",
	"mil_join",
	"mil_warning",
	"mil_unknown"
];

RMM_jipmarkers_colors = [
    "Default",
    "ColorBlack",
    "ColorGrey",
    "ColorRed",
    "ColorGreen",
    "ColorBlue",
    "ColorYellow",
    "ColorOrange",
    "ColorWhite",
    "ColorPink"
];

[] spawn {

	if (!isnil "persistentDBHeader") then {
		if (persistentDBHeader == 1) then {
			
			waitUntil{MISSIONDATA_LOADED == "true"};
			
			if (pdb_markers_enabled) then {
				waitUntil{!isNil "RMM_jipmarkers"};
				if (debug) then {
					diag_log format["Loaded RMM Jipmarkers, %1, %2", RMM_jipmarkers, count RMM_jipmarkers];
				};
			};
		};
	};

	if (isnil "RMM_jipmarkers") then {
		RMM_jipmarkers = [];
		publicvariable "RMM_jipmarkers";
	} else {
		{
			if(playerSide == (_x select 4)) then {
				private "_mkr";
				_mkr = createMarkerLocal [(_x select 0),(_x select 1)];
				_mkr setmarkertypelocal (_x select 2);
				_mkr setmarkertextlocal (_x select 3);
				_mkr setmarkercolorlocal (_x select 5);
			};
		} foreach RMM_jipmarkers;
	};

	if (!isDedicated) then {
		if (isNil "TYR_MENU_IsActive" || {TYR_MENU_IsActive <= 0}) then {
			["player", [mso_interaction_key], -9403, ["tmf\support\modules\rmm_jipmarkers\fn_menuDef.sqf", "main"]] call CBA_ui_fnc_add;
			[localize "STR_JMRK_CAPTION","openmap true; if (call mso_fnc_hasRadio) then {call jipmarkers_fnc_click};"] call mso_core_fnc_updateMenu;
		} else {
			if (!isnil "tyr_fnc_addHandler") then {
				["TYRMENU",
					[[
						localize "STR_JMRK_CAPTION"
						,{true}
						,{openmap true; if (call mso_fnc_hasRadio) then {call jipmarkers_fnc_click};}
						,"tmf\support\modules\rmm_jipmarkers\marker.paa"
					]]
				] call tyr_fnc_addHandler;
			};
		};
		["RMM_jipmarkers__Global_EVT_ID", "onMapSingleClick", {
			if (!_shift && _alt) then {
				RMM_jipmarkers_position = _pos;
				createDialog "RMM_ui_jipmarkers";
			};
		}] call BIS_fnc_addStackedEventHandler;
	};

	"RMM_jipmarkers" addPublicVariableEventHandler {
		{
			if(str (markerPos (_x select 0)) == "[0,0,0]" && playerSide == (_x select 4)) then {
				private "_mkr";
				_mkr = createMarkerLocal [(_x select 0),(_x select 1)];
				_mkr setmarkertypelocal (_x select 2);
				_mkr setmarkertextlocal (_x select 3);
				_mkr setmarkercolorlocal (_x select 5);
			};
		} forEach (_this select 1);
	};
};
