//#define __FORCE_TRACE__
//#define __FORCE_DEBUG__
//#define __FORCE_INFO__
#define THIS_FILE "tyr_repair\fn_preInit.sqf"
#include <core_macros.h>

TRACE_1("Start",_this);
TMFPROFILERSTART;

GVAR(Target_Vec) = objNull;
GVAR(Current_Vec) = objNull;
GVAR(Target_CanAnalyze) = false;
GVAR(Target_CanRepair) = false;
GVAR(Repair_Action_Id) = -1;
GVAR(Analyze_Action_Id) = -1;
GVAR(Trigger) = objNull;
GVAR(Repairing) = false;
GVAR(is_engineer) = false;

GVAR(min_damage) = 0.02;
GVAR(max_damage) = 0.7;

GVAR(VehicleRepairDivider) = 0.05;
GVAR(TankRepairDivider) = 0.012;
GVAR(AirRepairDivider) = 0.003;

GVAR(reload_time_factor) = 3;
GVAR(reload_engineoff) = 1;
GVAR(reload_limitedresources) = 1;

GVAR(RepairEngineerList) = [
	"B_soldier_repair_F"
	,"O_soldier_repair_F"
	,"I_soldier_repair_F"
	,"I_G_engineer_F"
	,"O_engineer_U_F"
	,"O_soldierU_repair_F"
	,"B_engineer_F"
	,"O_engineer_F"
	,"I_engineer_F"
	,"B_G_engineer_F"
	,"O_G_engineer_F"
	,"B_Story_Engineer_F"
];

GVAR(RepairVehicleList) = [
	"B_Truck_01_Repair_F"
	,"O_Truck_02_box_F"
	,"I_Truck_02_box_F"
	,"B_APC_Tracked_01_CRV_F"
];

TRACE("End");
TMFPROFILERSTOP;
